<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="text()">
		<xsl:call-template name="UpperCase">
			<xsl:with-param name="string" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="UpperCase">
		<xsl:param name="string"/>
		<xsl:call-template name="UpperCaseEng">
			<xsl:with-param name="string">
				<xsl:call-template name="UpperCaseRus">
					<xsl:with-param name="string" select="$string"/>
				</xsl:call-template>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="UpperCaseEng">
		<xsl:param name="string"/>
		<xsl:variable name="smallcase" select="'abcdefghijklmnopqrstuvwxyz'"/>
		<xsl:variable name="uppercase" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
		<xsl:value-of select="translate($string, $smallcase, $uppercase)"/>
	</xsl:template>
	<xsl:template name="UpperCaseRus">
		<xsl:param name="string"/>
		<xsl:variable name="smallcase" select="'йцукенгшщзхъёфывапролджэячсмитьбю'"/>
		<xsl:variable name="uppercase" select="'ЙЦУКЕНГШЩЗХЪЁФЫВАПРОЛДЖЭЯЧСМИТЬБЮ'"/>
		<xsl:value-of select="translate($string, $smallcase, $uppercase)"/>
	</xsl:template>
	
</xsl:stylesheet>
