<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<!--загрузка из декларанта в сертификаты и тс-->
	
	<xsl:key use="concat(./G441,./G442,./G443)" name="Certif" match="//DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM"/>

	<xsl:template  match="//DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM">
		<CERTIF_ITEM>
			<xsl:if test="string-length(G443)>0">
				<DATE><xsl:value-of select="concat(substring(G443,9,2),'.',substring(G443,6,2),'.',substring(G443,1,4))"/></DATE>
			</xsl:if> 
			<xsl:if test="string-length(G446)>0">
				<DATE_BEGIN><xsl:value-of select="concat(substring(G446,9,2),'.',substring(G446,6,2),'.',substring(G446,1,4))"/></DATE_BEGIN>
			</xsl:if> 
			<xsl:if test="string-length(G447)>0">
				<DATE_END><xsl:value-of select="concat(substring(G447,9,2),'.',substring(G447,6,2),'.',substring(G447,1,4))"/></DATE_END>
			</xsl:if>	
			<NUM><xsl:value-of select="G442"/></NUM>
			<TYPE_CH><xsl:value-of select="G441"/></TYPE_CH>
			<NAMEDOC><xsl:value-of select="normalize-space(G444)"/></NAMEDOC>
			<PROD_NAME1><xsl:value-of select="G445"/></PROD_NAME1>
			<NUMPRDOC><xsl:value-of select="NUMPRDOC"/></NUMPRDOC>
			<SGNSUBMDOC><xsl:value-of select="SGNSUBMDOC"/></SGNSUBMDOC>
			<xsl:variable name="Num" select="G442"/>
			<xsl:variable name="Dat" select="G443"/>
			<xsl:variable name="Cod" select="G441"/>
			<xsl:variable name="DocUsl">
				<xsl:choose>
					<xsl:when test="string-length($Dat)>0">
						<xsl:value-of select="../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441=$Cod and ../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G442=$Num and ../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G443=$Dat"/>	
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G441=$Cod and ../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM/G442=$Num"/>	
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<ITEM>
				<xsl:for-each select="//DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM[$DocUsl]">
					<ITEM_ITEM> 
						<CODE_EXSTS>1</CODE_EXSTS>
						<CUST_CODE><xsl:value-of select="../../G33"/></CUST_CODE>
						<ITEM_NAME1><xsl:value-of select="normalize-space(../../ITEM_NAME1)"/></ITEM_NAME1>
						<ITEM_NAME3><xsl:value-of select="normalize-space(../../G31_1)"/></ITEM_NAME3>
						<PRODUCER_COUNTRY><xsl:value-of select="../../G34"/></PRODUCER_COUNTRY>
						<PRODUCER_COUNTRYNAME><xsl:value-of select="../../G31_13"/></PRODUCER_COUNTRYNAME>
						<COMMENT><xsl:value-of select="normalize-space(COMMENT)"/></COMMENT>
						<ADDINFO><xsl:value-of select="normalize-space(ADDINFO)"/></ADDINFO>
						<ITEM_PROD_MILIT><xsl:value-of select="G31_10"/></ITEM_PROD_MILIT>
						<ITEM_IMPORT><xsl:value-of select="../../../../G082"/></ITEM_IMPORT>
						<PRODUCER_NAME>
							<xsl:choose>
								<xsl:when test="string-length(G31_11)">
									<xsl:value-of select="G31_11"/>
								</xsl:when>
								<xsl:when test="string-length(../../G3111)">
									<xsl:value-of select="../../G3111"/>
								</xsl:when>
							</xsl:choose>
						</PRODUCER_NAME>
						<PROD_COD>
							<xsl:choose>
								<xsl:when test="string-length(G31_12)">
									<xsl:value-of select="G31_12"/>
								</xsl:when>
								<xsl:when test="string-length(../../G3112)">
									<xsl:value-of select="../../G3112"/>
								</xsl:when>
							</xsl:choose>
						</PROD_COD>
						<ITEM_MARKA><xsl:value-of select="G31_14"/></ITEM_MARKA>
						<ITEM_MODEL><xsl:value-of select="G31_14_2"/></ITEM_MODEL>
						<ITEM_CODE><xsl:value-of select="G31_15"/></ITEM_CODE>
						<ITEM_GOST><xsl:value-of select="G31_16"/></ITEM_GOST>
						<ITEM_SORT><xsl:value-of select="G31_17"/></ITEM_SORT>
						<ITEM_4403><xsl:value-of select="G31_18"/></ITEM_4403>
						<ITEM_TREE><xsl:value-of select="G31_19"/></ITEM_TREE>
						<ITEM_SIZE><xsl:value-of select="G31_20"/></ITEM_SIZE>
						<UNIT_CODE><xsl:value-of select="UNIT_CODE"/></UNIT_CODE>
						<UNIT_NAME2><xsl:value-of select="UNIT_NAME"/></UNIT_NAME2>
						<UNIT_CODE_DOP><xsl:value-of select="../../G41A"/></UNIT_CODE_DOP>
						<UNIT_NAME_DOP><xsl:value-of select="../../G31_71"/></UNIT_NAME_DOP>
						<ITEM_PRICE>
							<xsl:choose>
								<xsl:when  test="string-length(PRICE)>0 and number(PRICE)>0">
									<xsl:value-of select="format-number(PRICE,'0.00')"/>
								</xsl:when>
								<xsl:when  test="string-length(../../ITEM_PRICE)>0 and number(../../ITEM_PRICE)>0">
									<xsl:value-of select="format-number(../../ITEM_PRICE,'0.00')"/>
								</xsl:when>
							</xsl:choose>
						</ITEM_PRICE>
						<ITEM_PRICE_VAL><xsl:value-of select="../../../../G221"/></ITEM_PRICE_VAL>
						<ISSUEDATE><xsl:value-of select="ISSUEDATE"/></ISSUEDATE>
						<SERIALNUMBERS><xsl:value-of select="SERIALNUMBERS"/></SERIALNUMBERS>
						<PACK_CODE>
							<xsl:choose>
								<xsl:when  test="string-length(PACK_CODE)>0">
									<xsl:value-of select="PACK_CODE"/>
								</xsl:when>
								<xsl:when  test="string-length(../../DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[PKSIGN=0]/PACK_CODE)>0">
									<xsl:value-of select="../../DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[PKSIGN=0]/PACK_CODE"/>
								</xsl:when>
							</xsl:choose>
						</PACK_CODE>
					</ITEM_ITEM>
				</xsl:for-each>
			</ITEM>
		</CERTIF_ITEM>
	</xsl:template>


	
	<xsl:template match="/">
		<xsl:apply-templates select="//DCL/DCL_ITEM"/>
	</xsl:template>
	
	<xsl:template match="DCL/DCL_ITEM">
		<CERTIF>
			<ITEMCOU><xsl:value-of select="count(//DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM[string-length(G31_15)>0])"/></ITEMCOU>
			<xsl:apply-templates select="//DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[generate-id(.)=generate-id(key('Certif',concat(./G441,./G442,./G443)))]"/>
		</CERTIF>
	</xsl:template>
</xsl:stylesheet>
