<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:key use="concat(../../G32,./PKSIGN,./PACK_CODE)" name="PackC" match="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[string-length(PACK_CODE)>0]"/>	
	<xsl:template match="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[string-length(PACK_CODE)>0]">
		<xsl:param name="G32c"/>
		<xsl:param name="Flg"/>
		<xsl:variable name="pack" select="PACK_CODE"/>
		<xsl:variable name="packpr" select="PKSIGN"/>
		<xsl:choose>
			<xsl:when test="$Flg=0">
				<xsl:value-of select="concat(PACK_CODE,'-',sum(//DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[../../G32=$G32c and PACK_CODE=$pack and PKSIGN=$packpr and string-length(PACK_CODE)>0]/PACK_QUANT))"/>
				<xsl:text> </xsl:text>
			</xsl:when>
			<xsl:when test="$Flg=1">
				<xsl:if test="$packpr=0">
					<Item>
						<IsEmpty>0</IsEmpty>
						<PackageCodeType><xsl:value-of select="PACK_CODE"/></PackageCodeType>
						<PackingQuantity><xsl:value-of select="sum(//DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[../../G32=$G32c and PACK_CODE=$pack and PKSIGN=0 and string-length(PACK_CODE)>0]/PACK_QUANT)"/></PackingQuantity>
						<VerObject>1</VerObject>
					</Item>			
				</xsl:if>
			</xsl:when>
			<xsl:when test="$Flg=2">
				<xsl:if  test="$packpr=0">
					<xsl:value-of select="concat(PACK_CODE,'-',sum(//DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[../../G32=$G32c and PACK_CODE=$pack and PKSIGN=0 and string-length(PACK_CODE)>0]/PACK_QUANT))"/>
					<xsl:text> </xsl:text>
				</xsl:if>
			</xsl:when>
		</xsl:choose>
	</xsl:template>	

	<xsl:template name="NumList">
		<xsl:param name="Num"/>
		<xsl:variable name="Pos" select="((format-number($Num,'#')-2) div 3)+2"/>
		<xsl:choose>
			<xsl:when test="contains($Pos,'.')">
				<xsl:value-of select="substring-before($Pos,'.')"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$Pos"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
 <xsl:template match="*|/">
	<xsl:apply-templates select="//DCL/DCL_ITEM"/>
</xsl:template>

	<xsl:template match="DCL/DCL_ITEM">
		<xsl:variable select="REC_ID" name="GrPack"/>
		<Root>
			<xsl:attribute name="DocumentType">1</xsl:attribute>
			<xsl:attribute name="Date">
				<xsl:choose>
					<xsl:when test="string-length(G542)>0">
						<xsl:value-of select="substring(G542,1,10)"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="substring(DATE_CREATE,1,10)"/>
					</xsl:otherwise>
				</xsl:choose>
				
			</xsl:attribute>
			<xsl:attribute name="Version">4</xsl:attribute>
			<xsl:attribute name="FileType">2</xsl:attribute>
			<consignee><xsl:value-of select="G082"/></consignee>
			<CountGoody><xsl:value-of select="G05"/></CountGoody>
			<CountryProgram>398</CountryProgram>
			<xsl:variable name="Valuta" select="G221"/>
			<CurrencyList>
				<DefaultCountry>398</DefaultCountry>
				<List>
					<Item>
						<Base>1</Base>
						<Code><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Currency_ITEM[Code=$Valuta]/ABBR"/></Code>
						<CountryCode>398</CountryCode>
						<CurrencyID/>
						<Date/>
						<NameCurrency><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Currency_ITEM[Code=$Valuta]/Name"/></NameCurrency>
						<Rate/>
						<RateForEd/>
						<Status>1</Status>
						<VerObject>1</VerObject>
					</Item>
				</List>
				<VerObject>1</VerObject>
			</CurrencyList>
			<Direction><xsl:value-of select="G011"/></Direction>
			<DocTypeID>2</DocTypeID>
			<DocumentCount/>
			<DocumentNum><xsl:value-of select="G07"/></DocumentNum>
			<DontShowMessageRates/>
			<Elg22CurrencyCode><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Currency_ITEM[Code=$Valuta]/ABBR"/></Elg22CurrencyCode>
			<forwarder><xsl:value-of select="G142"/></forwarder>	
			<g10>
				<VerObject>1</VerObject>
			</g10>
			<g11>
				<xsl:variable name="G11c" select="G11"/>
				<Code><xsl:value-of select="G11"/></Code>
				<Name><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$G11c]/Name"/></Name>
				<VerObject>1</VerObject>
			</g11>
			<g12/>
			<g14>
				<xsl:if test="string-length(G142)>0 or string-length(M141)>0 or string-length(G143POST)>0 or string-length(G1431)>0 or string-length(G1431N)>0 or string-length(G143SUBD)>0 or string-length(G143CITY)>0 or string-length(G143STREET)>0">
					<Address>
						<xsl:if test="string-length(G143CITY)>0">
							<City><xsl:value-of select="G143CITY"/></City>
						</xsl:if>	
						<Country>
							<xsl:if test="string-length(G1431)>0">
								<Code><xsl:value-of select="G1431"/></Code>
							</xsl:if>	
							<xsl:if test="string-length(G1431N)>0">
								<Name><xsl:value-of select="G1431N"/></Name>
							</xsl:if>
							<VerObject>1</VerObject>
						</Country>
						<xsl:if test="string-length(G143POST)>0">
							<PostalCode><xsl:value-of select="G143POST"/></PostalCode>
						</xsl:if>	
						<xsl:if test="string-length(G143SUBD)>0">
							<Region><xsl:value-of select="G143SUBD"/></Region>
						</xsl:if>	
						<xsl:if test="string-length(G143STREET)>0">
							<StreetHouse><xsl:value-of select="G143STREET"/></StreetHouse>
						</xsl:if>							
						<StringValue>
							<xsl:if test="string-length(G1431N)>0">
								<xsl:value-of select="G1431N"/>
							</xsl:if>
							<xsl:if test="string-length(G143SUBD)>0">
								<xsl:text>, </xsl:text>
								<xsl:value-of select="G143SUBD"/>
							</xsl:if>
							<xsl:if test="string-length(G143CITY)>0">
								<xsl:text>, </xsl:text>
								<xsl:value-of select="G143CITY"/>
							</xsl:if>
							<xsl:if test="string-length(G143STREET)>0">
								<xsl:text>, </xsl:text>
								<xsl:value-of select="G143STREET"/>
							</xsl:if>								
						</StringValue>
						<VerObject>1</VerObject>
					</Address>
					<xsl:if  test="string-length(M141)>0">
						<BIN><xsl:value-of select="M141"/></BIN>
					</xsl:if>
					<BranchDescription>
						<Address>
							<Country>
								<VerObject>1</VerObject>
							</Country>
							<VerObject>1</VerObject>
						</Address>
						<ITN>
							<CountryProgram>398</CountryProgram>
							<ParentFillType>2</ParentFillType>
							<VerObject>1</VerObject>
						</ITN>
						<NameLang>0</NameLang>
						<VerObject>1</VerObject>
					</BranchDescription>
					<ContractorIndicator>0</ContractorIndicator>
					<ContractorIndicatorInt>0</ContractorIndicatorInt>
					<ElNameLang>RU</ElNameLang>
					<IdentityCard>
						<IdentityCardCode>0</IdentityCardCode>
						<VerObject>1</VerObject>
					</IdentityCard>
					<IsClear>0</IsClear>
					<IsEmpty>0</IsEmpty>
					<IsOrganization>1</IsOrganization>
					<ITN>
						<CountryProgram>398</CountryProgram>
<!--						<Kat>33</Kat>
						<Kato>19</Kato>
						<ParentFillType>1</ParentFillType>
						<RNN>600500001552</RNN>
						<StringValue>33-19&#47;600500001552</StringValue>
-->						<VerObject>1</VerObject>
					</ITN>
					<NameLang>RU</NameLang>
					<OrganizationName><xsl:value-of select="G142"/></OrganizationName>
					<PrintedFullName>0</PrintedFullName>
					<ShortName><xsl:value-of select="G142"/></ShortName>
					<StringValue>
						<xsl:value-of select="G142"/>
						<xsl:if test="string-length(G1431N)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G1431N"/>
						</xsl:if>
						<xsl:if test="string-length(G143SUBD)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G143SUBD"/>
						</xsl:if>
						<xsl:if test="string-length(G143CITY)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G143CITY"/>
						</xsl:if>
						<xsl:if test="string-length(G143STREET)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G143STREET"/>
						</xsl:if>	
					</StringValue>
					<Tab>0</Tab>
					<VerObject>2</VerObject>
				</xsl:if>	
			</g14>
			<g15>
				<Code><xsl:value-of select="G15A"/></Code>
				<Name><xsl:value-of select="G15"/></Name>
				<VerObject>1</VerObject>
			</g15>
			<g16>
				<Name><xsl:value-of select="G16"/></Name>
				<VerObject>1</VerObject>
			</g16>
			<g17>
				<Code><xsl:value-of select="G17A"/></Code>
				<Name><xsl:value-of select="G17B"/></Name>
				<VerObject>1</VerObject>
			</g17>
			<g18>
				<CountryCode><xsl:value-of select="G182"/></CountryCode>
				<List>
					<xsl:for-each select="//DCL_TRANS/DCL_TRANS_ITEM[NGR='18' and string-length(NTRANS)>0]">
						<Item>
							<Country>
								<Code><xsl:value-of select="G212"/></Code>
								<xsl:variable name="G212c" select="G212"/>
								<Name><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$G212c]/Name"/></Name>
								<VerObject>1</VerObject>
							</Country>
							<IsEmpty>0</IsEmpty>
							<StringValue><xsl:value-of select="NTRANS"/></StringValue>
							<TransportIdentifier><xsl:value-of select="NTRANS"/></TransportIdentifier>
							<TransportMeansNationalityCode><xsl:value-of select="G212"/></TransportMeansNationalityCode>
							<TransportSign>0</TransportSign>
							<VerObject>1</VerObject>
						</Item>
					</xsl:for-each>	
				</List>
				<StringValue>
					<xsl:for-each select="//DCL_TRANS/DCL_TRANS_ITEM[NGR='18' and string-length(NTRANS)>0]">
						<xsl:value-of select="concat(position(),':',NTRANS,' ')"/>
					</xsl:for-each>
				</StringValue>
				<TransportMeansQuantiry><xsl:value-of select="count(//DCL_TRANS/DCL_TRANS_ITEM[NGR='18' and string-length(NTRANS)>0])"/></TransportMeansQuantiry>
				<TransportModeCode><xsl:value-of select="G251"/></TransportModeCode>
				<VerObject>3</VerObject>
			</g18>
			<g19>
				<xsl:choose>
					<xsl:when test="count(//DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM[string-length(cont_num)>0])>0">1</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</g19>
			<g2>
				<Address>
					<xsl:if test="string-length(G023CITY)>0">
						<City><xsl:value-of select="G023CITY"/></City>
					</xsl:if>	
					<Country>
						<xsl:if test="string-length(G0231)>0">
							<Code><xsl:value-of select="G0231"/></Code>
						</xsl:if>	
						<xsl:if test="string-length(G0231N)>0">
							<Name><xsl:value-of select="G0231N"/></Name>
						</xsl:if>
						<VerObject>1</VerObject>
					</Country>
					<xsl:if test="string-length(G023POST)>0">
						<PostalCode><xsl:value-of select="G023POST"/></PostalCode>
					</xsl:if>	
					<xsl:if test="string-length(G023SUBD)>0">
						<Region><xsl:value-of select="G023SUBD"/></Region>
					</xsl:if>	
					<xsl:if test="string-length(G023STREET)>0">
						<StreetHouse><xsl:value-of select="G023STREET"/></StreetHouse>
					</xsl:if>							
					<StringValue>
						<xsl:if test="string-length(G0231N)>0">
							<xsl:value-of select="G0231N"/>
						</xsl:if>
						<xsl:if test="string-length(G023SUBD)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G023SUBD"/>
						</xsl:if>
						<xsl:if test="string-length(G023CITY)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G023CITY"/>
						</xsl:if>
						<xsl:if test="string-length(G023STREET)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G023STREET"/>
						</xsl:if>								
					</StringValue>
					<VerObject>1</VerObject>
				</Address>
				<xsl:if  test="string-length(G021)>0">
					<BIN><xsl:value-of select="G021"/></BIN>
				</xsl:if>
				<BranchDescription>
					<Address>
						<Country>
							<VerObject>1</VerObject>
						</Country>
						<VerObject>1</VerObject>
					</Address>
					<ITN>
						<CountryProgram>398</CountryProgram>
						<ParentFillType>2</ParentFillType>
						<VerObject>1</VerObject>
					</ITN>
					<NameLang>0</NameLang>
					<VerObject>1</VerObject>
				</BranchDescription>
				<ContractorIndicator>0</ContractorIndicator>
				<ContractorIndicatorInt>0</ContractorIndicatorInt>
				<ElNameLang>RU</ElNameLang>
				<IdentityCard>
					<IdentityCardCode>0</IdentityCardCode>
					<VerObject>1</VerObject>
				</IdentityCard>
				<IsClear>0</IsClear>
				<IsEmpty>0</IsEmpty>
				<IsOrganization>1</IsOrganization>
				<ITN>
					<CountryProgram>398</CountryProgram>
					<VerObject>1</VerObject>
				</ITN>
				<NameLang>RU</NameLang>
				<OrganizationName><xsl:value-of select="G022"/></OrganizationName>
				<PrintedFullName>0</PrintedFullName>
				<ShortName><xsl:value-of select="G022"/></ShortName>
				<StringValue>
					<xsl:value-of select="G022"/>
					<xsl:if test="string-length(G0231N)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G0231N"/>
					</xsl:if>
					<xsl:if test="string-length(G023SUBD)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G023SUBD"/>
					</xsl:if>
					<xsl:if test="string-length(G023CITY)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G023CITY"/>
					</xsl:if>
					<xsl:if test="string-length(G023STREET)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G023STREET"/>
					</xsl:if>	
				</StringValue>
				<Tab>0</Tab>
				<VerObject>2</VerObject>
			</g2>
			<g20>
				<xsl:if  test="string-length(G202)>0">
					<Code><xsl:value-of select="G202"/></Code>
				</xsl:if>	
				<xsl:if  test="string-length(G2021)>0">
					<Name><xsl:value-of select="G2021"/></Name>
				</xsl:if>
				<StringValue>
					<xsl:if  test="string-length(G202)>0">
						<xsl:value-of select="G202"/>
					</xsl:if>	
					<xsl:if  test="string-length(G2021)>0">
						<xsl:text> </xsl:text>
						<xsl:value-of select="G2021"/>
					</xsl:if>
				</StringValue>
				<VerObject>1</VerObject>
			</g20>
			<g21>
				<CountryCode><xsl:value-of select="G212"/></CountryCode>
				<List>
					<xsl:for-each select="//DCL_TRANS/DCL_TRANS_ITEM[NGR='21' and string-length(NTRANS)>0]">
						<Item>
							<Country>
								<Code><xsl:value-of select="G212"/></Code>
								<xsl:variable name="G212s" select="G212"/>
								<Name><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$G212s]/Name"/></Name>
								<VerObject>1</VerObject>
							</Country>
							<IsEmpty>0</IsEmpty>
							<StringValue><xsl:value-of select="NTRANS"/></StringValue>
							<TransportIdentifier><xsl:value-of select="NTRANS"/></TransportIdentifier>
							<TransportMeansNationalityCode><xsl:value-of select="G212"/></TransportMeansNationalityCode>
							<TransportSign>0</TransportSign>
							<VerObject>1</VerObject>
						</Item>
					</xsl:for-each>	
				</List>
				<StringValue>
					<xsl:for-each select="//DCL_TRANS/DCL_TRANS_ITEM[NGR='21' and string-length(NTRANS)>0]">
						<xsl:value-of select="concat(position(),':',NTRANS,' ')"/>
					</xsl:for-each>
				</StringValue>
				<TransportMeansQuantiry><xsl:value-of select="count(//DCL_TRANS/DCL_TRANS_ITEM[NGR='21' and string-length(NTRANS)>0])"/></TransportMeansQuantiry>
				<TransportModeCode><xsl:value-of select="G261"/></TransportModeCode>
				<VerObject>3</VerObject>
			</g21>
			<g22>
				<Count><xsl:value-of select="format-number(G222,'0.00')"/></Count>
				<Currency>
					<Code><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Currency_ITEM[Code=$Valuta]/ABBR"/></Code>
					<Name><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Currency_ITEM[Code=$Valuta]/Name"/></Name>
					<VerObject>1</VerObject>
				</Currency>
				<VerObject>1</VerObject>
			</g22>
			<g24>
				<xsl:if  test="string-length(G24)>0">
					<Code><xsl:value-of select="G24"/></Code>
				</xsl:if>
				<xsl:if  test="string-length(G24_2)>0">	
					<Name><xsl:value-of select="G24_2"/></Name>
				</xsl:if>
				<StringValue>
					<xsl:if  test="string-length(G24)>0">
						<Code><xsl:value-of select="G24"/></Code>
					</xsl:if>
					<xsl:if  test="string-length(G24_2)>0">	
						<xsl:text> </xsl:text>
						<Name><xsl:value-of select="G24_2"/></Name>
					</xsl:if>
				</StringValue>
				<VerObject>1</VerObject>
			</g24>	
			<g27>
				<CurrentRec>
					<VerObject>1</VerObject>
				</CurrentRec>
				<Licence>0</Licence>
				<Sertificate>0</Sertificate>
				<VerObject>1</VerObject>
			</g27>
			<g28>
				<CurrentRec>
					<VerObject>1</VerObject>
				</CurrentRec>
				<FirstPaymentIndicator>0</FirstPaymentIndicator>
				<LastPaymentIndicator>0</LastPaymentIndicator>
				<VerObject>1</VerObject>
			</g28>
			<g29>
				<List>
					<xsl:for-each select="//DCL_TRANS/DCL_TRANS_ITEM[NGR=29 and string-length(G29)>0]">
						<Item>
							<xsl:choose>
								<xsl:when test="substring(G29,1,3)='398'">
									<Code><xsl:value-of select="substring(G29,4,5)"/></Code>
									<CountryCode>398</CountryCode>
								</xsl:when>
								<xsl:otherwise>
									<Code><xsl:value-of select="G29"/></Code>
									<CountryCode>
										<xsl:choose>
											<xsl:when test="substring(G29,1,2)='10' or substring(G29,1,2)='12' or substring(G29,1,2)='1F'">643</xsl:when>
											<xsl:when test="substring(G29,1,3)='112' or substring(G29,1,3)='240'">112</xsl:when>
											<xsl:when test="substring(G29,1,2)='46'">417</xsl:when>									
										</xsl:choose>
									</CountryCode>
								</xsl:otherwise>	
							</xsl:choose>	
							<IsEmpty>0</IsEmpty>
							<VerObject>1</VerObject>
							<xsl:variable name="G29s" select="G29"/>
							<Name><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Customs_ITEM[Code=$G29s]/Name"/></Name>
						</Item>
					</xsl:for-each>
				</List>
				<StringValue>
					<xsl:for-each select="//DCL_TRANS/DCL_TRANS_ITEM[NGR=29 and string-length(G29)>0]">
						<xsl:value-of select="concat(G29,' ')"/>
					</xsl:for-each>
				</StringValue>
				<VerObject>1</VerObject>
			</g29>
			<g30>
				<VerObject>1</VerObject>
			</g30>
			<g30_2>
				<xsl:variable name="G30Ct">
					<xsl:choose>
						<xsl:when test="substring(G3012,1,2)='10' or substring(G3012,1,2)='12' or substring(G3012,1,2)='1F'">RU</xsl:when>
						<xsl:when test="substring(G3012,1,3)='112' or substring(G3012,1,3)='240'">BY</xsl:when>
						<xsl:when test="substring(G3012,1,3)='398'">KZ</xsl:when>									
						<xsl:when test="substring(G3012,1,2)='46'">KG</xsl:when>									
					</xsl:choose>
				</xsl:variable> 
				<xsl:variable name="G30N" select="document('../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$G30Ct]/Name"/>
				<List>
					<Item>
						<Address>
							<xsl:if test="string-length(G30CITY)>0">
								<City><xsl:value-of select="G30CITY"/></City>
							</xsl:if>	
							<Country>
								<Code><xsl:value-of select="$G30Ct"/></Code>
								<Name><xsl:value-of select="$G30N"/></Name>
								<VerObject>1</VerObject>
							</Country>
							<xsl:if test="string-length(G30POST)>0">
								<PostalCode><xsl:value-of select="G30POST"/></PostalCode>
							</xsl:if>	
							<xsl:if test="string-length(G30SUBD)>0">
								<Region><xsl:value-of select="G30SUBD"/></Region>
							</xsl:if>	
							<xsl:if test="string-length(G30STREET)>0">
								<StreetHouse><xsl:value-of select="G30STREET"/></StreetHouse>
							</xsl:if>							
							<StringValue>
								<xsl:if test="string-length($G30N)>0">
									<xsl:value-of select="$G30N"/>
								</xsl:if>
								<xsl:if test="string-length(G30SUBD)>0">
									<xsl:text>, </xsl:text>
									<xsl:value-of select="G30SUBD"/>
								</xsl:if>
								<xsl:if test="string-length(G30CITY)>0">
									<xsl:text>, </xsl:text>
									<xsl:value-of select="G30CITY"/>
								</xsl:if>
								<xsl:if test="string-length(G30STREET)>0">
									<xsl:text>, </xsl:text>
									<xsl:value-of select="G30STREET"/>
								</xsl:if>								
							</StringValue>
								<VerObject>1</VerObject>
						</Address>
						<InformationTypeCode><xsl:value-of select="G300"/></InformationTypeCode>
						<IsAddress>0</IsAddress>
						<IsGoodsLocationWarehouse>1</IsGoodsLocationWarehouse>
						<IsNumberCustomsZone>0</IsNumberCustomsZone>
						<IsTransport>0</IsTransport>
						<xsl:if test="string-length(G3011)>0">
							<PrDocumentDate><xsl:value-of select="concat(substring(G3011,1,10),'T0:0:0:0')"/></PrDocumentDate>
						</xsl:if>
						<xsl:if test="string-length(G30)>0">
							<PrDocumentName><xsl:value-of select="G30"/></PrDocumentName>
						</xsl:if>	
						<xsl:if test="string-length(G301)>0">
							<PrDocumentNumber><xsl:value-of select="G301"/></PrDocumentNumber>
						</xsl:if>	
						<Transport>
							<VerObject>1</VerObject>
						</Transport>
						<TransportKind>0</TransportKind>
						<VerObject>1</VerObject>
					</Item>
				</List>
				<StringValue>
					<xsl:if test="string-length(G301)>0">
						<PrDocumentNumber><xsl:value-of select="G301"/></PrDocumentNumber>
					</xsl:if>	
					<xsl:if test="string-length(G3011)>0">
						<PrDocumentDate><xsl:value-of select="concat(' ОТ ',substring(G3011,1,10))"/></PrDocumentDate>
					</xsl:if>
				</StringValue>
				<VerObject>1</VerObject>
			</g30_2>
			<g39>
				<IsPrintedRestEdIzm>0</IsPrintedRestEdIzm>
				<OstCurrency>0</OstCurrency>
				<OstUnit>0</OstUnit>
				<Rest4Writeoff>0</Rest4Writeoff>
				<VerObject>1</VerObject>
			</g39>
			<g48>
				<VerObject>1</VerObject>
			</g48>
			<g50_g54>
				<Carrier>
					<Address>
						<Country>
							<VerObject>1</VerObject>
						</Country>
						<VerObject>1</VerObject>
					</Address>
					<BranchDescription>
						<Address>
							<Country>
								<VerObject>1</VerObject>
							</Country>
							<VerObject>1</VerObject>
						</Address>
						<ITN>
							<CountryProgram>398</CountryProgram>
							<ParentFillType>0</ParentFillType>
							<VerObject>1</VerObject>
						</ITN>
						<NameLang>0</NameLang>
						<VerObject>1</VerObject>
					</BranchDescription>
					<ContractorIndicator>0</ContractorIndicator>
					<ContractorIndicatorInt>0</ContractorIndicatorInt>
					<IdentityCard>
						<IdentityCardCode>0</IdentityCardCode>
						<VerObject>1</VerObject>
					</IdentityCard>
					<IsClear>1</IsClear>
					<IsEmpty>1</IsEmpty>
					<IsOrganization>1</IsOrganization>
					<ITN>
						<CountryProgram>398</CountryProgram>
						<ParentFillType>0</ParentFillType>
						<VerObject>1</VerObject>
					</ITN>
					<PrintedFullName>0</PrintedFullName>
					<Tab>0</Tab>
					<VerObject>2</VerObject>
				</Carrier>
				<Declarer>
					<Address>
						<Country>
							<VerObject>1</VerObject>
						</Country>
						<VerObject>1</VerObject>
					</Address>
					<BranchDescription>
						<Address>
							<Country>
								<VerObject>1</VerObject>
							</Country>
							<VerObject>1</VerObject>
						</Address>
						<ITN>
							<CountryProgram>398</CountryProgram>
							<VerObject>1</VerObject>
						</ITN>
						<NameLang>0</NameLang>
						<VerObject>1</VerObject>
					</BranchDescription>
					<ContractorIndicator>0</ContractorIndicator>
					<ContractorIndicatorInt>0</ContractorIndicatorInt>
					<ElNameLang>RU</ElNameLang>
					<IdentityCard>
						<IdentityCardCode>0</IdentityCardCode>
						<VerObject>1</VerObject>
					</IdentityCard>
					<IsClear>0</IsClear>
					<IsEmpty>0</IsEmpty>
					<IsOrganization>1</IsOrganization>
					<ITN>
						<CountryProgram>398</CountryProgram>
						<VerObject>1</VerObject>
					</ITN>
					<NameLang>RU</NameLang>
					<Tab>0</Tab>
					<VerObject>2</VerObject>
				</Declarer>
				<DriverIdentityCard>
					<IdentityCardCode>0</IdentityCardCode>
					<VerObject>1</VerObject>
				</DriverIdentityCard>
				<DriverRegCountryCode>
					<VerObject>1</VerObject>
				</DriverRegCountryCode>
				<xsl:if test="string-length(G542)>0">
					<ExecutionDate><xsl:value-of select="concat(substring(G542,1,10),'T0:0:0:0')"/></ExecutionDate>
				</xsl:if>
				<FillerIdentityCard>
					<IdentityCardCode>0</IdentityCardCode>
					<VerObject>1</VerObject>
				</FillerIdentityCard>
				<FillerMiddleName><xsl:value-of select="G5441MDLNAME"/></FillerMiddleName>
				<FillerName><xsl:value-of select="G5441NAME"/></FillerName>
				<FillerSurname><xsl:value-of select="G5441"/></FillerSurname>
				<StringValue><xsl:value-of select="normalize-space(concat('2. ',G5441,' ',G5441NAME,' ',G5441MDLNAME))"/></StringValue>
				<VerObject>1</VerObject>
			</g50_g54>
			<g52>
				<GuaranteeAddress>
					<Country>
						<VerObject>1</VerObject>
					</Country>
					<VerObject>1</VerObject>
				</GuaranteeAddress>
				<IsSoprovozhdenie>0</IsSoprovozhdenie>
				<MeasureCode>
					<VerObject>1</VerObject>
				</MeasureCode>
				<VerObject>1</VerObject>
			</g52>
			<g53>
				<CurrentRec>
					<IsEmpty>1</IsEmpty>
					<VerObject>1</VerObject>
				</CurrentRec>
				<VerObject>1</VerObject>
			</g53>
			<g55>
				<CurrentRec>
					<IsContainer>0</IsContainer>
					<ReloadCountry>
						<VerObject>1</VerObject>
					</ReloadCountry>
					<ReloadingCustomsOffice>
						<VerObject>1</VerObject>
					</ReloadingCustomsOffice>
					<ReloadingTransportMeans>
						<Country>
							<VerObject>1</VerObject>
						</Country>
						<IsEmpty>1</IsEmpty>
						<TransportSign>0</TransportSign>
						<VerObject>1</VerObject>
					</ReloadingTransportMeans>
					<VerObject>1</VerObject>
				</CurrentRec>
				<VerObject>1</VerObject>
			</g55>
			<g6><xsl:value-of select="G06"/></g6>
			<g8>
				<Address>
					<xsl:if test="string-length(G083CITY)>0">
						<City><xsl:value-of select="G083CITY"/></City>
					</xsl:if>	
					<Country>
						<xsl:if test="string-length(G0831)>0">
							<Code><xsl:value-of select="G0831"/></Code>
						</xsl:if>	
						<xsl:if test="string-length(G0831N)>0">
							<Name><xsl:value-of select="G0831N"/></Name>
						</xsl:if>
						<VerObject>1</VerObject>
					</Country>
					<xsl:if test="string-length(G083POST)>0">
						<PostalCode><xsl:value-of select="G083POST"/></PostalCode>
					</xsl:if>	
					<xsl:if test="string-length(G083SUBD)>0">
						<Region><xsl:value-of select="G083SUBD"/></Region>
					</xsl:if>	
					<xsl:if test="string-length(G083STREET)>0">
						<StreetHouse><xsl:value-of select="G083STREET"/></StreetHouse>
					</xsl:if>							
					<StringValue>
						<xsl:if test="string-length(G0831N)>0">
							<xsl:value-of select="G0831N"/>
						</xsl:if>
						<xsl:if test="string-length(G083SUBD)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G083SUBD"/>
						</xsl:if>
						<xsl:if test="string-length(G083CITY)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G083CITY"/>
						</xsl:if>
						<xsl:if test="string-length(G083STREET)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G083STREET"/>
						</xsl:if>								
					</StringValue>
					<VerObject>1</VerObject>
				</Address>
				<xsl:if  test="string-length(G081)>0">
					<BIN><xsl:value-of select="G081"/></BIN>
				</xsl:if>
				<BranchDescription>
					<Address>
						<Country>
							<VerObject>1</VerObject>
						</Country>
						<VerObject>1</VerObject>
					</Address>
					<ITN>
						<CountryProgram>398</CountryProgram>
						<ParentFillType>2</ParentFillType>
						<VerObject>1</VerObject>
					</ITN>
					<NameLang>0</NameLang>
					<VerObject>1</VerObject>
				</BranchDescription>
				<ContractorIndicator>0</ContractorIndicator>
				<ContractorIndicatorInt>0</ContractorIndicatorInt>
				<ElNameLang>RU</ElNameLang>
				<IdentityCard>
					<IdentityCardCode>0</IdentityCardCode>
					<VerObject>1</VerObject>
				</IdentityCard>
				<IsClear>0</IsClear>
				<IsEmpty>0</IsEmpty>
				<IsOrganization>1</IsOrganization>
				<ITN>
					<CountryProgram>398</CountryProgram>
					<VerObject>1</VerObject>
				</ITN>
				<NameLang>RU</NameLang>
				<OrganizationName><xsl:value-of select="G082"/></OrganizationName>
				<PrintedFullName>0</PrintedFullName>
				<ShortName><xsl:value-of select="G082"/></ShortName>
				<StringValue>
					<xsl:value-of select="G082"/>
					<xsl:if test="string-length(G0831N)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G0831N"/>
					</xsl:if>
					<xsl:if test="string-length(G083SUBD)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G083SUBD"/>
					</xsl:if>
					<xsl:if test="string-length(G083CITY)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G083CITY"/>
					</xsl:if>
					<xsl:if test="string-length(G083STREET)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G083STREET"/>
					</xsl:if>	
				</StringValue>
				<Tab>0</Tab>
				<VerObject>2</VerObject>
			</g8>
			<g9>
				<Address>
					<xsl:if test="string-length(G093CITY)>0">
						<City><xsl:value-of select="G093CITY"/></City>
					</xsl:if>	
					<Country>
						<xsl:if test="string-length(G0931)>0">
							<Code><xsl:value-of select="G0931"/></Code>
						</xsl:if>	
						<xsl:if test="string-length(G0931N)>0">
							<Name><xsl:value-of select="G0931N"/></Name>
						</xsl:if>
						<VerObject>1</VerObject>
					</Country>
					<xsl:if test="string-length(G093POST)>0">
						<PostalCode><xsl:value-of select="G093POST"/></PostalCode>
					</xsl:if>	
					<xsl:if test="string-length(G093SUBD)>0">
						<Region><xsl:value-of select="G093SUBD"/></Region>
					</xsl:if>	
					<xsl:if test="string-length(G093STREET)>0">
						<StreetHouse><xsl:value-of select="G093STREET"/></StreetHouse>
					</xsl:if>							
					<StringValue>
						<xsl:if test="string-length(G0931N)>0">
							<xsl:value-of select="G0931N"/>
						</xsl:if>
						<xsl:if test="string-length(G093SUBD)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G093SUBD"/>
						</xsl:if>
						<xsl:if test="string-length(G093CITY)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G093CITY"/>
						</xsl:if>
						<xsl:if test="string-length(G093STREET)>0">
							<xsl:text>, </xsl:text>
							<xsl:value-of select="G093STREET"/>
						</xsl:if>								
					</StringValue>
					<VerObject>1</VerObject>
				</Address>
				<xsl:if  test="string-length(G091)>0">
					<BIN><xsl:value-of select="G091"/></BIN>
				</xsl:if>
				<BranchDescription>
					<Address>
						<Country>
							<VerObject>1</VerObject>
						</Country>
						<VerObject>1</VerObject>
					</Address>
					<ITN>
						<CountryProgram>398</CountryProgram>
						<ParentFillType>2</ParentFillType>
						<VerObject>1</VerObject>
					</ITN>
					<NameLang>0</NameLang>
					<VerObject>1</VerObject>
				</BranchDescription>
				<ContractorIndicator>0</ContractorIndicator>
				<ContractorIndicatorInt>0</ContractorIndicatorInt>
				<ElNameLang>RU</ElNameLang>
				<IdentityCard>
					<IdentityCardCode>0</IdentityCardCode>
					<VerObject>1</VerObject>
				</IdentityCard>
				<IsClear>0</IsClear>
				<IsEmpty>0</IsEmpty>
				<IsOrganization>1</IsOrganization>
				<ITN>
					<CountryProgram>398</CountryProgram>
					<VerObject>1</VerObject>
				</ITN>
				<NameLang>RU</NameLang>
				<OrganizationName><xsl:value-of select="G092"/></OrganizationName>
				<PrintedFullName>0</PrintedFullName>
				<ShortName><xsl:value-of select="G092"/></ShortName>
				<StringValue>
					<xsl:value-of select="G092"/>
					<xsl:if test="string-length(G0931N)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G0931N"/>
					</xsl:if>
					<xsl:if test="string-length(G093SUBD)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G093SUBD"/>
					</xsl:if>
					<xsl:if test="string-length(G093CITY)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G093CITY"/>
					</xsl:if>
					<xsl:if test="string-length(G093STREET)>0">
						<xsl:text>, </xsl:text>
						<xsl:value-of select="G093STREET"/>
					</xsl:if>	
				</StringValue>
				<Tab>0</Tab>
				<VerObject>2</VerObject>
			</g9>
			<gA>
				<VerObject>1</VerObject>
			</gA>
			<gB>
				<List>
					<Item>
						<Details>
							<Item>
								<ITN>
									<VerObject>1</VerObject>
								</ITN>
								<VerObject>2</VerObject>
							</Item>
						</Details>
						<ITN>
							<CountryProgram>398</CountryProgram>
							<VerObject>1</VerObject>
						</ITN>
						<VerObject>2</VerObject>
					</Item>
				</List>
				<VerObject>3</VerObject>
			</gB>	
			<CountGoody><xsl:value-of select="G05"/></CountGoody>
			<Goodys>
				<xsl:for-each select="DCL_LOAD/DCL_LOAD_ITEM">
					<xsl:variable select="G32" name="G32n"/>
					<Item>
						<DontRecalc>0</DontRecalc>
						<DopCodeExists>0</DopCodeExists>
						<ExpExciseFlag>0</ExpExciseFlag>
						<g31>
							<Auto>0</Auto>
							<Containers>
								<ContainerQuantity>0</ContainerQuantity>
								<VerObject>1</VerObject>
							</Containers>
							<Count1>
								<QuantityGoods>0</QuantityGoods>
								<Unit>
									<IsEmpty>1</IsEmpty>
									<VerObject>1</VerObject>
								</Unit>
								<VerObject>1</VerObject>
							</Count1>
							<Count2>
								<QuantityGoods>0</QuantityGoods>
								<Unit>
									<IsEmpty>1</IsEmpty>
									<VerObject>1</VerObject>
								</Unit>
								<VerObject>1</VerObject>
							</Count2>
							<ElectricalEnergyQuantityGiven>0</ElectricalEnergyQuantityGiven>
							<ElectricalEnergyQuantityReceived>0</ElectricalEnergyQuantityReceived>
							<Excise>
								<CurrentRec>
									<ExciseFirstNumber>0</ExciseFirstNumber>
									<ExciseLastNumber>0</ExciseLastNumber>
									<IsEmpty>1</IsEmpty>
									<VerObject>1</VerObject>
								</CurrentRec>
								<VerObject>1</VerObject>
							</Excise>
							<GoodsCondition>
								<AddressOrganization>
									<Country>
										<VerObject>1</VerObject>
									</Country>
									<VerObject>1</VerObject>
								</AddressOrganization>
								<AddressPlace>
									<Country>
										<VerObject>1</VerObject>
									</Country>
									<VerObject>1</VerObject>
								</AddressPlace>
								<GoodsQuantity>
									<QuantityGoods>0</QuantityGoods>
									<Unit>
										<IsEmpty>1</IsEmpty>
										<VerObject>1</VerObject>
									</Unit>
									<VerObject>1</VerObject>
								</GoodsQuantity>
								<IdentityCard>
									<IdentityCardCode>0</IdentityCardCode>
									<VerObject>1</VerObject>
								</IdentityCard>
								<ITN>
									<CountryProgram>398</CountryProgram>
									<ParentFillType>0</ParentFillType>
									<VerObject>1</VerObject>
								</ITN>
								<VerObject>1</VerObject>
							</GoodsCondition>
							<GoodsGroupDescription>
								<DontReCalcStringValue>0</DontReCalcStringValue>
								<GoodsDescription><xsl:value-of select="G31_1"/></GoodsDescription>
								<List>
									<xsl:for-each select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM">
										<Item>
											<CarCost>0</CarCost>
											<GoodsMark><xsl:value-of select="G31_12"/></GoodsMark>
											<GoodsName><xsl:value-of select="ADDINFO"/></GoodsName>
											<goodynumber>0</goodynumber>
											<IsEmpty>0</IsEmpty>
											<IsMarka>0</IsMarka>
											<IsModel>1</IsModel>
											<IsPower>0</IsPower>
											<MainUnit>
												<IsEmpty>1</IsEmpty>
												<VerObject>1</VerObject>
											</MainUnit>
											<Manufacturer><xsl:value-of select="G31_11"/></Manufacturer>
											<Power>0</Power>
											<Probeg>0</Probeg>
											<Quantity><xsl:value-of select="QUANTITY"/></Quantity>
											<xsl:variable name="UnN" select="UNIT_CODE"/>
											<QuantityName><xsl:value-of select="concat(QUANTITY,' ',document('../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$UnN]/NAME)"/></QuantityName>
											<Unit>
												<Code><xsl:value-of select="UNIT_CODE"/></Code>
												<IsEmpty>0</IsEmpty>
												<Name><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//UNIT_ITEM[CODE=$UnN]/NAME"/></Name>
												<ShortName><xsl:value-of select="UNIT_NAME"/></ShortName>
												<ShortName_EK><xsl:value-of select="UNIT_NAME"/></ShortName_EK>
												<ShortName2><xsl:value-of select="UNIT_NAME"/></ShortName2>
												<VerObject>1</VerObject>
											</Unit>
											<VerObject>1</VerObject>
										</Item>
									</xsl:for-each>	
								</List>
								<StringValue>
									<xsl:value-of select="G31_1"/>
									<xsl:for-each select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM">
										<xsl:text> :  ПРОИЗВОДИТЕЛЬ: </xsl:text>
										<xsl:value-of select="G31_11"/>
										<xsl:text>, МАРКА: </xsl:text>
										<xsl:value-of select="G31_12"/>
										<xsl:text> , КОЛИЧЕСТВО: </xsl:text>
										<xsl:value-of select="QUANTITY"/>
										<xsl:text> </xsl:text>
										<xsl:value-of select="UNIT_NAME"/>
										<xsl:text>; </xsl:text>											
									</xsl:for-each>
								</StringValue>
								<VerObject>1</VerObject>
							</GoodsGroupDescription>
							<GoodsItemDeliveryTerms>
								<IsEmpty>1</IsEmpty>
								<VerObject>1</VerObject>
							</GoodsItemDeliveryTerms>
							<GoodsItemDeliveryTerms2>
								<CurrentRec>
									<IsEmpty>1</IsEmpty>
									<VerObject>1</VerObject>
								</CurrentRec>
								<VerObject>1</VerObject>
							</GoodsItemDeliveryTerms2>
							<GoodsPacking>
								<ChoiseInformationListStr>
									<xsl:choose>
										<xsl:when test="string-length($GrPack)>0 and number($GrPack)=1">
											<xsl:apply-templates select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[generate-id(.)=generate-id(key('PackC',concat(../../G32,./PKSIGN,./PACK_CODE))) and string-length(PACK_CODE)>0]">
												<xsl:with-param name="G32c" select="$G32n"/>
												<xsl:with-param name="Flg" select="0"/>
											</xsl:apply-templates>	
										</xsl:when>
										<xsl:otherwise>
											<xsl:for-each select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM">
												<xsl:value-of select="concat(PACK_CODE,'-',PACK_QUANT)"/>
												<xsl:if test="position()!=last()">,</xsl:if>
											</xsl:for-each>
										</xsl:otherwise>
									</xsl:choose>		
								</ChoiseInformationListStr>
								<IsprintedUnitPackListStr>0</IsprintedUnitPackListStr>
								<PackageQuantity><xsl:value-of select="PackCountFull"/></PackageQuantity>
								<PackageTypeCode>1</PackageTypeCode>
								<PackingInformationList>
									<xsl:choose>
										<xsl:when test="string-length($GrPack)>0 and number($GrPack)=1">
											<xsl:apply-templates select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[generate-id(.)=generate-id(key('PackC',concat(../../G32,./PKSIGN,./PACK_CODE))) and string-length(PACK_CODE)>0 and PKSIGN=0]">
												<xsl:with-param name="G32c" select="$G32n"/>
												<xsl:with-param name="Flg" select="1"/>
											</xsl:apply-templates>	
										</xsl:when>
										<xsl:otherwise>
											<xsl:for-each select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[PKSIGN=0]">
												<Item>
													<IsEmpty>0</IsEmpty>
													<PackageCodeType><xsl:value-of select="PACK_CODE"/></PackageCodeType>
													<PackingQuantity><xsl:value-of select="PACK_QUANT"/></PackingQuantity>
													<VerObject>1</VerObject>
												</Item>
											</xsl:for-each>	
										</xsl:otherwise>
									</xsl:choose>		
								</PackingInformationList>
								<PackingInformationListStr>
									<xsl:choose>
										<xsl:when test="string-length($GrPack)>0 and number($GrPack)=1">
											<xsl:apply-templates select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[generate-id(.)=generate-id(key('PackC',concat(../../G32,./PKSIGN,./PACK_CODE))) and string-length(PACK_CODE)>0 and PKSIGN=0]">
												<xsl:with-param name="G32c" select="$G32n"/>
												<xsl:with-param name="Flg" select="2"/>
											</xsl:apply-templates>	
										</xsl:when>
										<xsl:otherwise>
											<xsl:for-each select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[PKSIGN=0]">
												<xsl:value-of select="concat(PACK_CODE,'-',PACK_QUANT)"/>
												<xsl:if test="position()!=last()">,</xsl:if>
											</xsl:for-each>
										</xsl:otherwise>
									</xsl:choose>											
								</PackingInformationListStr>
								<PakagePartQuantity><xsl:value-of select="PackCountPart"/></PakagePartQuantity>
								<StringValue>
									<xsl:text>2, </xsl:text>
									<xsl:if test="string-length(PackCountPart)>0">
										<xsl:value-of select="concat('(',PackCountPart,'--ЧАСТЬ МЕСТА), ')"/>
									</xsl:if>	
									<xsl:choose>
										<xsl:when test="string-length($GrPack)>0 and number($GrPack)=1">
											<xsl:apply-templates select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[generate-id(.)=generate-id(key('PackC',concat(../../G32,./PKSIGN,./PACK_CODE))) and string-length(PACK_CODE)>0]">
												<xsl:with-param name="G32c" select="$G32n"/>
												<xsl:with-param name="Flg" select="0"/>
											</xsl:apply-templates>	
										</xsl:when>
										<xsl:otherwise>
											<xsl:for-each select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM">
												<xsl:value-of select="concat(PACK_CODE,'-',PACK_QUANT)"/>
												<xsl:if test="position()!=last()">,</xsl:if>
											</xsl:for-each>
										</xsl:otherwise>
									</xsl:choose>	
								</StringValue>
								<VerObject>1</VerObject>
								<xsl:if test="string-length(PackCountPart)>0">
									<VidPakage>ЧАСТЬ МЕСТА</VidPakage>
								</xsl:if>	
							</GoodsPacking>
							<GoodsSTZ>
								<VerObject>1</VerObject>
							</GoodsSTZ>
							<KolGoods>0</KolGoods>
							<MilitaryProductCategoryCode>
								<xsl:choose>
									<xsl:when test="count(//DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM[string-length(G31_10)>0]/G31_10)>0">1</xsl:when>
									<xsl:otherwise>0</xsl:otherwise>
								</xsl:choose>
							</MilitaryProductCategoryCode>
							<xsl:if test="string-length(G31_81)>0">
								<QualifierCodeGiven><xsl:value-of select="G31_81"/></QualifierCodeGiven>
								<QualifierCodeNameGiven><xsl:value-of select="G31_82"/></QualifierCodeNameGiven>
								<QualifierCodeNameReceived><xsl:value-of select="G31_82"/></QualifierCodeNameReceived>
								<QualifierCodeReceived><xsl:value-of select="G31_81"/></QualifierCodeReceived>
							</xsl:if>
							<StoimSyr>0</StoimSyr>
							<StringValue>
								<xsl:value-of select="concat(position(),'. ')"/>
								<xsl:value-of select="G31_1"/>
								<xsl:for-each select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM">
									<xsl:text> :  ПРОИЗВОДИТЕЛЬ: </xsl:text>
									<xsl:value-of select="G31_11"/>
									<xsl:text>, МАРКА: </xsl:text>
									<xsl:value-of select="G31_12"/>
									<xsl:text> , КОЛИЧЕСТВО: </xsl:text>
									<xsl:value-of select="QUANTITY"/>
									<xsl:text> </xsl:text>
									<xsl:value-of select="UNIT_NAME"/>
									<xsl:text>; </xsl:text>											
								</xsl:for-each>
								<xsl:text>&#xA;</xsl:text>
								<xsl:text>2, </xsl:text>
								<xsl:if test="string-length(PackCountPart)>0">
									<xsl:value-of select="concat('(',PackCountPart,'--ЧАСТЬ МЕСТА), ')"/>
								</xsl:if>	
								<xsl:choose>
									<xsl:when test="string-length($GrPack)>0 and number($GrPack)=1">
										<xsl:apply-templates select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM[generate-id(.)=generate-id(key('PackC',concat(../../G32,./PKSIGN,./PACK_CODE))) and string-length(PACK_CODE)>0]">
											<xsl:with-param name="G32c" select="$G32n"/>
											<xsl:with-param name="Flg" select="0"/>
										</xsl:apply-templates>	
									</xsl:when>
									<xsl:otherwise>
										<xsl:for-each select="DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM">
											<xsl:value-of select="concat(PACK_CODE,'-',PACK_QUANT)"/>
											<xsl:if test="position()!=last()">,</xsl:if>
										</xsl:for-each>
									</xsl:otherwise>
								</xsl:choose>	
							</StringValue>
							<VerObject>1</VerObject>
							<xsl:if test="string-length(PackCountPart)>0">
								<VidPakage>ЧАСТЬ МЕСТА</VidPakage>
							</xsl:if>	
							<VerObject>2</VerObject>
						</g31>
						<g33><xsl:value-of select="G33"/></g33>
						<g34>
							<Code><xsl:value-of select="G34"/></Code>
							<xsl:variable name="G34s" select="G34"/>
							<Name><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$G34s]/Name"/></Name>
							<VerObject>1</VerObject>
						</g34>
						<g35><xsl:value-of select="G35"/></g35>
						<g36>
							<Duty>
								<VerObject>1</VerObject>
							</Duty>
							<Excise>
								<VerObject>1</VerObject>
							</Excise>
							<NDS>
								<VerObject>1</VerObject>
							</NDS>
							<StringValue></StringValue>
							<Tax>
								<VerObject>1</VerObject>
							</Tax>
							<VerObject>1</VerObject>
						</g36>
						<g37>
							<G37_1><xsl:value-of select="../../G012"/></G37_1>
							<VerObject>1</VerObject>
						</g37>
						<g38><xsl:value-of select="G38"/></g38>
						<g38_2>0</g38_2>
						<g39>
							<IsPrintedRestEdIzm>0</IsPrintedRestEdIzm>
							<OstCurrency>0</OstCurrency>
							<OstUnit>0</OstUnit>
							<Rest4Writeoff>0</Rest4Writeoff>
							<VerObject>1</VerObject>
						</g39>
						<g40>
							<VerObject>1</VerObject>
						</g40>
						<g41>
							<CodeName><xsl:value-of select="concat(G41A,' ',G31_71)"/></CodeName>
							<CountValue><xsl:value-of select="G31_7"/></CountValue>
							<Name>
								<Code><xsl:value-of select="G41A"/></Code>
								<Name><xsl:value-of select="G31_71"/></Name>
								<VerObject>1</VerObject>
							</Name>
							<VerObject>1</VerObject>
						</g41>
						<g42>
							<Count><xsl:value-of select="format-number(G42,'0.00')"/></Count>
							<Currency>
								<VerObject>1</VerObject>
							</Currency>
							<VerObject>1</VerObject>
						</g42>
						<g42GratisDelivery>1</g42GratisDelivery>
						<g43>
							<CodePlase>1</CodePlase>
							<VerObject>1</VerObject>
						</g43>
						<g44>
							<List>
								<xsl:for-each select="DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM">
									<Item>
										<AddressOrganization>
											<Country>
												<xsl:if  test="string-length(G445COUNTRYCODE)>0">
													<Code><xsl:value-of select="G445COUNTRYCODE"/></Code>
													<xsl:variable name="G445s" select="G445COUNTRYCODE"/>
													<Name><xsl:value-of select="document('../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$G445s]/Name"/></Name>
												</xsl:if>
												<VerObject>1</VerObject>
											</Country>
											<VerObject>1</VerObject>
										</AddressOrganization>
										<DocumentCode><xsl:value-of select="G441"/></DocumentCode>
										<xsl:if test="string-length(G443)>0">
											<DocumentDate><xsl:value-of select="concat(substring(G443,1,10),'T0:0:0:0')"/></DocumentDate>
										</xsl:if>	
										<DocumentName><xsl:value-of select="G444"/></DocumentName>
										<DocumentNum><xsl:value-of select="G442"/></DocumentNum>
										<IdentityCardOrganization>
											<IdentityCardCode>0</IdentityCardCode>
											<VerObject>1</VerObject>
										</IdentityCardOrganization>
										<IsLogicalEmpty>0</IsLogicalEmpty>
										<PlaceProcessing>
											<Country>
												<VerObject>1</VerObject>
											</Country>
											<VerObject>1</VerObject>
										</PlaceProcessing>
										<ProcessingGoodsCost>0</ProcessingGoodsCost>
										<StringValue>
											<xsl:value-of select="G441"/>
											<xsl:text> </xsl:text>
											<xsl:value-of select="G442"/>
											<xsl:if test="string-length(G443)>0">
												<xsl:value-of select="concat(' ОТ ',substring(G443,1,10),'T0:0:0:0')"/>
											</xsl:if>	
										</StringValue>
										<Type>0</Type>
										<VerObject>1</VerObject>
									</Item>
								</xsl:for-each>	
							</List>
							<StringValue>
								<xsl:for-each select="DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM">
									<xsl:value-of select="G441"/>
									<xsl:text> </xsl:text>
									<xsl:value-of select="G442"/>
									<xsl:if test="string-length(G443)>0">
										<xsl:value-of select="concat(' ОТ ',substring(G443,1,10),'T0:0:0:0')"/>
									</xsl:if>	
									<xsl:if test="position()!=last()"><xsl:value-of select="'&#xA;'"/></xsl:if>	
								</xsl:for-each>
							</StringValue>
							<VerObject>2</VerObject>
						</g44>
						<g45>0</g45>
						<g46>0</g46>
						<g47>
							<List>
								<Item>
									<PaymentDoc>
										<ITN>
											<CountryProgram>398</CountryProgram>
											<VerObject>1</VerObject>
										</ITN>
										<PaymentAmount>0</PaymentAmount>
										<VerObject>1</VerObject>
									</PaymentDoc>
									<VerObject>1</VerObject>
								</Item>
							</List>
							<VerObject>1</VerObject>
						</g47>
						<GoodyNum><xsl:value-of select="$G32n"/></GoodyNum>
						<OriginalInvoiceCost><xsl:value-of select="format-number(G42,'0.00')"/></OriginalInvoiceCost>
						<SheetNumber>
							<xsl:choose>
								<xsl:when test="position()=1">1</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="NumList">
										<xsl:with-param name="Num" select="$G32n"/>
									</xsl:call-template>	
								</xsl:otherwise>
							</xsl:choose>
						</SheetNumber>
						<VerObject>3</VerObject>
					</Item>
				</xsl:for-each>
			</Goodys>	
		</Root>			
  </xsl:template>	
    
</xsl:stylesheet>
