<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" />

    <xsl:template match="/">
        <xsl:choose>
            <xsl:when test="/Transformation/@version = '1.03'">
                <xsl:apply-templates select="@*|node()"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:copy-of select="." />
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="Rule[count(Rule)=0 and @name]">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
            <GroupBy>False</GroupBy>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="Rule[not(@name)]">
        <RuleGuid>
            <xsl:apply-templates select="@*|node()"/>
        </RuleGuid>
    </xsl:template>

    <xsl:template match="@version[parent::Transformation]">
        <xsl:attribute name="version">1.04</xsl:attribute>
    </xsl:template>

    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>
