<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml"/>
<!--загрузка из xml таможенного формата-->

 <xsl:template match="*|/">
	<xsl:apply-templates select="//ESADout_CU"/>
</xsl:template>
	<xsl:template name="Transp">
		<xsl:param name="NGR"/>
		<DCL_TRANS_ITEM>
			<G212><xsl:value-of select="TransportMeansNationalityCode"/></G212>
			<NGR><xsl:value-of select="$NGR"/></NGR>
			<NTRANS><xsl:value-of select="TransportIdentifier"/></NTRANS>
			<xsl:if test="string-length(ActiveTransportIdentifier)>0">
				<NTRANS_PRIMARY><xsl:value-of select="ActiveTransportIdentifier"/></NTRANS_PRIMARY>
			</xsl:if>
			<VIDTRANS><xsl:value-of select="../TransportModeCode"/></VIDTRANS>
			<VIN><xsl:value-of select="VIN"/></VIN>
		</DCL_TRANS_ITEM>	
	</xsl:template>
	
  <xsl:template match="ESADout_CU">
	  <DCL>
		<xsl:for-each select="ESADout_CUGoodsShipment">
			<DCL_ITEM>
				<G011><xsl:value-of select="../CustomsProcedure"/></G011>
				<G012><xsl:value-of select="../CustomsModeCode"/></G012>
				<G0131><xsl:value-of select="../TransitDirectionCode"/></G0131>
				<G07_CODE><xsl:value-of select="../DeclarationKind"/></G07_CODE>
				<xsl:for-each select="ESADout_CUConsignor">
					<xsl:for-each select="RFOrganizationFeatures">
						<G020><xsl:value-of select="OGRN"/></G020> 
						<G021><xsl:value-of select="INN"/></G021>
						<G027><xsl:value-of select="KPP"/></G027>
					</xsl:for-each>
					<xsl:for-each select="RKOrganizationFeatures">
						<G020><xsl:value-of select="BIN"/></G020> 
						<G021><xsl:value-of select="IIN"/></G021>
					</xsl:for-each>					
					<xsl:for-each select="RBOrganizationFeatures">
						<G021><xsl:value-of select="UNP"/></G021>
					</xsl:for-each>					
					<G022><xsl:value-of select="OrganizationName"/></G022>
					<xsl:for-each select="Address">	
						<G0231><xsl:value-of select="CountryCode"/></G0231>
						<G0231N><xsl:value-of select="CounryName"/></G0231N>
						<G023POST><xsl:value-of select="PostalCode"/></G023POST>
						<G023SUBD><xsl:value-of select="Region"/></G023SUBD>
						<G023CITY><xsl:value-of select="City"/></G023CITY>
						<G023STREET><xsl:value-of select="StreetHouse"/></G023STREET>
					</xsl:for-each>	
				</xsl:for-each>
				<G05><xsl:value-of select="TotalGoodsNumber"/></G05>						
				<G06><xsl:value-of select="TotalPackageNumber"/></G06>		
				<xsl:for-each select="ESADout_CUConsignee">
					<xsl:for-each select="RFOrganizationFeatures">
						<G080><xsl:value-of select="OGRN"/></G080> 
						<G081><xsl:value-of select="INN"/></G081>
						<G087><xsl:value-of select="KPP"/></G087>
					</xsl:for-each>
					<xsl:for-each select="RKOrganizationFeatures">
						<G080><xsl:value-of select="BIN"/></G080> 
						<G081><xsl:value-of select="IIN"/></G081>
					</xsl:for-each>					
					<xsl:for-each select="RBOrganizationFeatures">
						<G081><xsl:value-of select="UNP"/></G081>
					</xsl:for-each>					
					<G082><xsl:value-of select="OrganizationName"/></G082>						
					<xsl:for-each select="Address">
						<G0831><xsl:value-of select="CountryCode"/></G0831>
						<G0831N><xsl:value-of select="CounryName"/></G0831N>
						<G083POST><xsl:value-of select="PostalCode"/></G083POST>
						<G083SUBD><xsl:value-of select="Region"/></G083SUBD>
						<G083CITY><xsl:value-of select="City"/></G083CITY>
						<G083STREET><xsl:value-of select="StreetHouse"/></G083STREET>
					</xsl:for-each>		
				</xsl:for-each>
				<xsl:for-each select="ESADout_CUFinancialAdjustingResponsiblePerson">
					<xsl:for-each select="RFOrganizationFeatures">
						<G090><xsl:value-of select="OGRN"/></G090> 
						<G091><xsl:value-of select="INN"/></G091>
						<G097><xsl:value-of select="KPP"/></G097>
					</xsl:for-each>
					<xsl:for-each select="RKOrganizationFeatures">
						<G090><xsl:value-of select="BIN"/></G090> 
						<G091><xsl:value-of select="IIN"/></G091>
					</xsl:for-each>					
					<xsl:for-each select="RBOrganizationFeatures">
						<G091><xsl:value-of select="UNP"/></G091>
					</xsl:for-each>						
					<G092><xsl:value-of select="OrganizationName"/></G092>						
					<xsl:for-each select="Address">
						<G0931><xsl:value-of select="CountryCode"/></G0931>
						<G0931N><xsl:value-of select="CounryName"/></G0931N>
						<G093POST><xsl:value-of select="PostalCode"/></G093POST>
						<G093SUBD><xsl:value-of select="Region"/></G093SUBD>
						<G093CITY><xsl:value-of select="City"/></G093CITY>
						<G093STREET><xsl:value-of select="StreetHouse"/></G093STREET>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:for-each select="ESADout_CUDeclarant">
					<xsl:for-each select="RFOrganizationFeatures">
						<G140><xsl:value-of select="OGRN"/></G140> 
						<M141><xsl:value-of select="INN"/></M141>
						<G147><xsl:value-of select="KPP"/></G147>
					</xsl:for-each>
					<xsl:for-each select="RKOrganizationFeatures">
						<G140><xsl:value-of select="BIN"/></G140> 
						<M141><xsl:value-of select="IIN"/></M141>
					</xsl:for-each>					
					<xsl:for-each select="RBOrganizationFeatures">
						<M141><xsl:value-of select="UNP"/></M141>
					</xsl:for-each>						
					<G142><xsl:value-of select="OrganizationName"/></G142>						
					<xsl:for-each select="Address">
						<G1431><xsl:value-of select="CountryCode"/></G1431>
						<G1431N><xsl:value-of select="CounryName"/></G1431N>
						<G143POST><xsl:value-of select="PostalCode"/></G143POST>
						<G143SUBD><xsl:value-of select="Region"/></G143SUBD>
						<G143CITY><xsl:value-of select="City"/></G143CITY>
						<G143STREET><xsl:value-of select="StreetHouse"/></G143STREET>
					</xsl:for-each>
				</xsl:for-each>
				<G11><xsl:value-of select="ESADout_CUMainContractTerms/TradeCountryCode"/></G11>
				<G12><xsl:value-of select="TotalCustCost"/></G12>						
				<G121><xsl:value-of select="CustCostCurrencyCode"/></G121>						
				<G15><xsl:value-of select="ESADout_CUConsigment/DispatchCountryName"/></G15>						
				<G15A><xsl:value-of select="ESADout_CUConsigment/DispatchCountryCode"/></G15A>
				<G16><xsl:value-of select="OriginCountryName"/></G16>						
				<G17A><xsl:value-of select="ESADout_CUConsigment/DestinationCountryCode"/></G17A>						
				<G17B><xsl:value-of select="ESADout_CUConsigment/DestinationCountryName"/></G17B>
				<G181>
					<xsl:for-each select="ESADout_CUConsigment/ESADout_CUDepartureArrivalTransport/TransportMeans">
						<xsl:value-of select="TransportIdentifier"/>
						<xsl:if test="position()!=last()">
							<xsl:text>,</xsl:text>
						</xsl:if>
						
					</xsl:for-each>
				</G181>
				<G182><xsl:value-of select="ESADout_CUConsigment/ESADout_CUDepartureArrivalTransport/TransportMeans[1]/TransportMeansNationalityCode"/></G182>
				<G202><xsl:value-of select="ESADout_CUMainContractTerms/CUESADDeliveryTerms/DeliveryTermsStringCode"/></G202>
				<G2021><xsl:value-of select="ESADout_CUMainContractTerms/CUESADDeliveryTerms/DeliveryPlace"/></G2021>
				<G211>
					<xsl:for-each select="ESADout_CUConsigment/ESADout_CUBorderTransport/TransportMeans">
						<xsl:value-of select="TransportIdentifier"/>
						<xsl:if test="position()!=last()">
							<xsl:text>,</xsl:text>
						</xsl:if>
					</xsl:for-each>
				</G211>
				<G212><xsl:value-of select="ESADout_CUConsigment/ESADout_CUBorderTransport/TransportMeans[1]/TransportMeansNationalityCode"/></G212>
				<G221><xsl:value-of select="ESADout_CUMainContractTerms/ContractCurrencyCode"/></G221>						
				<G222><xsl:value-of select="ESADout_CUMainContractTerms/TotalInvoiceAmount"/></G222>						
				<G23><xsl:value-of select="ESADout_CUMainContractTerms/ContractCurrencyRate"/></G23>						
				<G230><xsl:value-of select="ESADout_CUMainContractTerms/CurrencyRateDate"/></G230>	
				<G24><xsl:value-of select="ESADout_CUMainContractTerms/DealNatureCode"/></G24>						
				<G24_2><xsl:value-of select="ESADout_CUMainContractTerms/DealFeatureCode"/></G24_2>	
				<G251><xsl:value-of select="ESADout_CUConsigment/ESADout_CUBorderTransport/TransportModeCode"/></G251>						
				<G261><xsl:value-of select="ESADout_CUConsigment/ESADout_CUDepartureArrivalTransport/TransportModeCode"/></G261>
				<G29>
					<xsl:choose>
						<xsl:when test="string-length(ESADout_CUConsigment/BorderCustomsOffice/Code)=8">
							<xsl:value-of select="ESADout_CUConsigment/BorderCustomsOffice/Code"/>
						</xsl:when>
						<xsl:when test="string-length(ESADout_CUConsigment/BorderCustomsOffice/Code)=5 and string-length(ESADout_CUConsigment/BorderCustomsOffice/CustomsCountryCode)=3">
							<xsl:value-of select="concat(ESADout_CUConsigment/BorderCustomsOffice/CustomsCountryCode,ESADout_CUConsigment/BorderCustomsOffice/Code)"/>
						</xsl:when>
					</xsl:choose>
				</G29>				
				<M29><xsl:value-of select="ESADout_CUConsigment/BorderCustomsOffice/OfficeName"/></M29>	
				<xsl:for-each select="ESADout_CUGoodsLocation">
					<xsl:variable name="G300t" select="InformationTypeCode"/>
					<G300><xsl:value-of select="$G300t"/></G300>  
					<xsl:choose>
						<xsl:when test="$G300t='81'">
							<xsl:variable name="CouTr" select="count(Transport[string-length(TransportName)>0]/TransportName)"/>
							<G301>
								<xsl:for-each select="Transport/TransportName">
									<xsl:value-of select="."/>
									<xsl:if test="position()!=last() and string-length(.)>0 and $CouTr>1">
										<xsl:text>,</xsl:text>
									</xsl:if>
								</xsl:for-each>	
							</G301>	
						</xsl:when>
						<xsl:otherwise>
							<G30><xsl:value-of select="GoodsLocationWarehouse/PrDocumentName"/></G30>
							<G301><xsl:value-of select="GoodsLocationWarehouse/PrDocumentNumber"/></G301>
							<G3010><xsl:value-of select="GoodsLocationWarehouse/DocumentModeCode"/></G3010>	
							<G3011><xsl:value-of select="GoodsLocationWarehouse/PrDocumentDate"/></G3011>
							<G3012><xsl:value-of select="CustomsOffice"/></G3012>
							<G30COUNTRYCODE><xsl:value-of select="Address/CountryCode"/></G30COUNTRYCODE>
							<G30POST><xsl:value-of select="Address/PostalCode"/></G30POST>
							<G30SUBD><xsl:value-of select="Address/Region"/></G30SUBD>
							<G30CITY><xsl:value-of select="Address/City"/></G30CITY>
							<G30STREET><xsl:value-of select="Address/StreetHouse"/></G30STREET>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
				<G542><xsl:value-of select="ExecutionDate"/></G542>
				<G5441><xsl:value-of select="ESADout_CUFilledPerson/PersonSurname"/></G5441>
				<G5441NAME><xsl:value-of select="ESADout_CUFilledPerson/PersonName"/></G5441NAME>
				<G5441MDLNAME><xsl:value-of select="ESADout_CUFilledPerson/PersonMiddleName"/></G5441MDLNAME>	
				<DCL_LOAD>
					<xsl:for-each select="ESADout_CUGoods">
						<DCL_LOAD_ITEM>
							<xsl:variable name="G32t" select="GoodsNumeric"/>
							<G32><xsl:value-of select="$G32t"/></G32>
							<G31_1>
								<xsl:for-each select="GoodsDescription">
									<xsl:value-of select="."/>
									<xsl:if test="position()!=last()">
										<xsl:text> </xsl:text>
									</xsl:if>
								</xsl:for-each>
							</G31_1>
							<G31_13><xsl:value-of select="OriginCountryName"/></G31_13>
							<G31_2><xsl:value-of select="ESADGoodsPackaging/PakageQuantity"/></G31_2>
							<PackCountFull><xsl:value-of select="ESADGoodsPackaging/PakageQuantity"/></PackCountFull>
							<PackCountPart><xsl:value-of select="ESADGoodsPackaging/PakagePartQuantity"/></PackCountPart>
							<G31_20><xsl:value-of select="ESADGoodsPackaging/PakageTypeCode"/></G31_20>
							<G31_7><xsl:value-of select="SupplementaryGoodsQuantity/GoodsQuantity"/></G31_7>
							<G31_71><xsl:value-of select="SupplementaryGoodsQuantity/MeasureUnitQualifierName"/></G31_71>
							<G31_8><xsl:value-of select="SupplementaryGoodsQuantity1/GoodsQuantity"/></G31_8>
							<G31_81><xsl:value-of select="SupplementaryGoodsQuantity1/MeasureUnitQualifierName"/></G31_81>
							<G31_82><xsl:value-of select="SupplementaryGoodsQuantity1/MeasureUnitQualifierCode"/></G31_82>
							<G33><xsl:value-of select="concat(GoodsTNVEDCode,GoodsAddTNVEDCode)"/></G33>
							<G34><xsl:value-of select="OriginCountryCode"/></G34>
							<G31_13><xsl:value-of select="OriginCountryName"/></G31_13>
							<G35><xsl:value-of select="GrossWeightQuantity"/></G35>
							<G36><xsl:value-of select="concat(Preferencii/CustomsTax,Preferencii/CustomsDuty,Preferencii/Excise,Preferencii/Rate)"/></G36>
							<G37><xsl:value-of select="concat(ESADCustomsProcedure/MainCustomsModeCode,ESADCustomsProcedure/PrecedingCustomsModeCode,ESADCustomsProcedure/GoodsTransferFeature)"/></G37>
							<G38><xsl:value-of select="NetWeightQuantity"/></G38>
							<G38_2><xsl:value-of select="NetWeightQuantity2"/></G38_2>
							<xsl:if test="string-length(ESADout_CUPrecedingDocument/PrecedingDocumentCustomsCode)>0 and string-length(ESADout_CUPrecedingDocument/PrecedingDocumentDate)>0 and string-length(ESADout_CUPrecedingDocument/PrecedingDocumentNumber)>0">
								<xsl:variable name="DatDoc" select="ESADout_CUPrecedingDocument/PrecedingDocumentDate"/>
								<G40><xsl:value-of select="concat(ESADout_CUPrecedingDocument/PrecedingDocumentCustomsCode,'/',substring($DatDoc,9,2),substring($DatDoc,6,2),substring($DatDoc,3,2),'/',ESADout_CUPrecedingDocument/PrecedingDocumentNumber)"/></G40>
							</xsl:if>
							<G41A><xsl:value-of select="SupplementaryGoodsQuantity/MeasureUnitQualifierCode"/></G41A>
							<G42><xsl:value-of select="InvoicedCost"/></G42>
							<G45><xsl:value-of select="CustomsCost"/></G45>
							<G46><xsl:value-of select="StatisticalCost"/></G46>
							<xsl:for-each select="ESADContainer">
								<DCL_LOAD_CONT>
									<xsl:for-each select="ContainerNumber">
										<DCL_LOAD_CONT_ITEM>
											<cont_num><xsl:value-of select="ContainerIdentificaror"/></cont_num>
											<cont_type><xsl:value-of select="FullIndicator"/></cont_type>
										</DCL_LOAD_CONT_ITEM>
									</xsl:for-each>
								</DCL_LOAD_CONT>			
							</xsl:for-each>
							<DCL_LOAD_DOC>
								<xsl:for-each select="ESADout_CUPresentedDocument">
									<DCL_LOAD_DOC_ITEM>
										<G32><xsl:value-of select="$G32t"/></G32>
										<DOC_NUM><xsl:value-of select="LineNumber"/></DOC_NUM>			 						
										<G4402><xsl:value-of select="SubLineNumber"/></G4402>	
										<G441><xsl:value-of select="PresentedDocumentModeCode"/></G441>
										<G442><xsl:value-of select="PrDocumentNumber"/></G442>
										<G443><xsl:value-of select="PrDocumentDate"/></G443>
										<G444><xsl:value-of select="PrDocumentName"/></G444>
										<G445><xsl:value-of select="OrganizationName"/></G445>	
										<G445COUNTRYCODE><xsl:value-of select="CountryCode"/></G445COUNTRYCODE>
										<G446><xsl:value-of select="DocumentBeginActionsDate"/></G446>
										<G447><xsl:value-of select="DocumentEndActionsDate"/></G447>	
									</DCL_LOAD_DOC_ITEM>						
								</xsl:for-each>
								<xsl:for-each select="ESADout_CUPresentedDocument/EconomicAreaDocuments">
									<DCL_LOAD_DOC_ITEM>																
										<G32><xsl:value-of select="$G32t"/></G32>										
										<DOC_NUM>9</DOC_NUM>			 						
										<G4402>1</G4402>			
										<G441><xsl:value-of select="PresentedDocumentModeCode"/></G441>
										<G442><xsl:value-of select="PrDocumentNumber"/></G442>
										<xsl:if test="string-length(OrganizationName)>0">
											<G442R><xsl:value-of select="OrganizationName"/></G442R>	
										</xsl:if>
										<G443><xsl:value-of select="PrDocumentDate"/></G443>
										<G444><xsl:value-of select="PrDocumentName"/></G444>							
										<G446><xsl:value-of select="DocumentBeginActionsDate"/></G446>
										<G447><xsl:value-of select="DocumentEndActionsDate"/></G447>									
									</DCL_LOAD_DOC_ITEM>						
								</xsl:for-each>
							</DCL_LOAD_DOC>									
							<DCL_LOAD_ITEM>
								<xsl:for-each select="GoodsGroupDescription/GoodsGroupInformation">
									<DCL_LOAD_ITEM_ITEM>
										<ADDINFO>
											<xsl:choose>
												<xsl:when test="string-length(../GoodsDescription)>0">
													<xsl:for-each select="../GoodsDescription">
														<xsl:value-of select="."/>
														<xsl:if test="position()!=last()">
															<xsl:text> </xsl:text>
														</xsl:if>
													</xsl:for-each>
												</xsl:when>
												<xsl:otherwise>
													<xsl:if test="position()=1">:</xsl:if>
												</xsl:otherwise>
											</xsl:choose>
										</ADDINFO>
										<G32><xsl:value-of select="$G32t"/></G32>
										<G32G><xsl:value-of select="position()"/></G32G>
										<G31_10><xsl:value-of select="../../../MilitaryProducts"/></G31_10>
										<G31_11><xsl:value-of select="Manufacturer"/></G31_11>
										<G31_12><xsl:value-of select="TradeMark"/></G31_12>
										<G31_14><xsl:value-of select="GoodsMark"/></G31_14>
										<G31_14_2><xsl:value-of select="GoodsModel"/></G31_14_2>
										<G31_15><xsl:value-of select="GoodsMarking"/></G31_15>
										<G31_16><xsl:value-of select="GoodsStandard"/></G31_16>
										<G31_17><xsl:value-of select="GoodsSort"/></G31_17>
										<G31_18><xsl:value-of select="WoodSortiment"/></G31_18>
										<G31_19><xsl:value-of select="WoodKind"/></G31_19>
										<G31_20><xsl:value-of select="Dimensions"/></G31_20>
										<IssueDate><xsl:value-of select="DateIssue"/></IssueDate>
										<SerialNumbers>
											<xsl:variable name="CouSn" select="count(SerialNumber)"/>
											<xsl:for-each select="SerialNumber">
												<xsl:value-of select="."/>
												<xsl:if  test="position()!=last() and string-length(.)>0 and $CouSn>1">
													<xsl:text>, </xsl:text>
												</xsl:if>
											</xsl:for-each>
										</SerialNumbers>
										<quantity><xsl:value-of select="GoodsGroupQuantity/GoodsQuantity"/></quantity>
										<unit_code><xsl:value-of select="GoodsGroupQuantity/MeasureUnitQualifierCode"/></unit_code>
										<unit_name><xsl:value-of select="GoodsGroupQuantity/MeasureUnitQualifierName"/></unit_name>
									</DCL_LOAD_ITEM_ITEM>
								</xsl:for-each>
							</DCL_LOAD_ITEM>
							<DCL_LOAD_PACK>
								<xsl:for-each select="ESADGoodsPackaging/PackingInformation">
									<DCL_LOAD_PACK_ITEM>
										<PACK_CODE><xsl:value-of select="PackingCode"/></PACK_CODE>
										<PACK_QUANT><xsl:value-of select="PakingQuantity"/></PACK_QUANT>
										<PKSIGN>0</PKSIGN>
									</DCL_LOAD_PACK_ITEM>
								</xsl:for-each> 
								<xsl:for-each select="ESADGoodsPackaging/PalleteInformation">
									<DCL_LOAD_PACK_ITEM>
										<PACK_CODE><xsl:value-of select="PalleteCode"/></PACK_CODE>
										<PACK_QUANT><xsl:value-of select="PalleteQuantity"/></PACK_QUANT>
										<PKINF><xsl:value-of select="PalleteDescription"/></PKINF>
										<PKSIGN>3</PKSIGN>
									</DCL_LOAD_PACK_ITEM>
								</xsl:for-each> 
								<xsl:for-each select="ESADGoodsPackaging/UnitPackInfo">
									<DCL_LOAD_PACK_ITEM>
										<PACK_QUANT><xsl:value-of select="PakingQuantity"/></PACK_QUANT>
										<PACK_CODE><xsl:value-of select="PackingCode"/></PACK_CODE>
										<PKSIGN>1</PKSIGN>
									</DCL_LOAD_PACK_ITEM>
								</xsl:for-each> 			
								<xsl:for-each select="ESADGoodsPackaging/CargoInfo">
									<DCL_LOAD_PACK_ITEM>
										<PACK_CODE><xsl:value-of select="PackingCode"/></PACK_CODE>
										<PACK_QUANT><xsl:value-of select="PakingQuantity"/></PACK_QUANT>
										<PKSIGN>2</PKSIGN>
									</DCL_LOAD_PACK_ITEM>
								</xsl:for-each> 													
							</DCL_LOAD_PACK>
							<DCL_LOAD_USLP>
								<xsl:for-each select="CUESADDeliveryTerms">
									<DCL_LOAD_USLP_ITEM>
										<G202t><xsl:value-of select="DeliveryTermsStringCode"/></G202t>
										<G2021t><xsl:value-of select="DeliveryPlace"/></G2021t>	
									</DCL_LOAD_USLP_ITEM>								
								</xsl:for-each>
							</DCL_LOAD_USLP>
						</DCL_LOAD_ITEM>
					</xsl:for-each>
				</DCL_LOAD>	
				<DCL_TRANS>
					<xsl:for-each select="ESADout_CUConsigment/ESADout_CUDepartureArrivalTransport/TransportMeans">
						<xsl:call-template name="Transp">
							<xsl:with-param name="NGR" select="18"/>
						</xsl:call-template>	
					</xsl:for-each>	
					<xsl:if  test="string-length(ESADout_CUConsigment/ESADout_CUDepartureArrivalTransport/TransportModeCode)>0">
						<DCL_TRANS_ITEM>
							<NGR>26</NGR>
							<VIDTRANS><xsl:value-of select="ESADout_CUConsigment/ESADout_CUDepartureArrivalTransport/TransportModeCode"/></VIDTRANS>
						</DCL_TRANS_ITEM>
					</xsl:if>	
					<xsl:for-each select="ESADout_CUConsigment/ESADout_CUBorderTransport/TransportMeans">
						<xsl:call-template name="Transp">
							<xsl:with-param name="NGR" select="21"/>
						</xsl:call-template>	
					</xsl:for-each>
					<xsl:if  test="string-length(ESADout_CUConsigment/ESADout_CUBorderTransport/TransportModeCode)>0">
						<DCL_TRANS_ITEM>
							<NGR>25</NGR>
							<VIDTRANS><xsl:value-of select="ESADout_CUConsigment/ESADout_CUBorderTransport/TransportModeCode"/></VIDTRANS>
						</DCL_TRANS_ITEM>
					</xsl:if>	
					<xsl:for-each select="ESADout_CUConsigment/BorderCustomsOffice">
						<DCL_TRANS_ITEM>
							<NGR>29</NGR>
							<G29><xsl:value-of select="Code"/></G29>
							<G29COUNTRYCODE><xsl:value-of select="CustomsCountryCode"/></G29COUNTRYCODE>
						</DCL_TRANS_ITEM>	
					</xsl:for-each>	
				</DCL_TRANS>
			</DCL_ITEM>
			</xsl:for-each>   
		</DCL>
  </xsl:template>	
    
</xsl:stylesheet>
