<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template name="SplitTextBySpaceSp">
    <xsl:param name="Text"/>
    <xsl:param name="Len"/>
    <xsl:choose>
      <xsl:when test="string-length($Text)&lt;$Len">
        <xsl:value-of select="$Text"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:variable name="sSubstring">
          <xsl:choose>
            <xsl:when test="starts-with($Text, ' ')">
              <xsl:value-of select="string(' ')"/>
            </xsl:when>
            <xsl:when test="contains($Text, ' ')">
              <xsl:value-of select="concat(substring-before($Text,' '),' ')"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="substring($Text,1, $Len)"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:variable>
        <xsl:variable name="TextBefore" select="$sSubstring"/>
        <xsl:variable name="TextBeforeLen" select="string-length($TextBefore)"/>
        <xsl:if test="$TextBeforeLen &lt;= $Len">
          <xsl:variable name="TextAfter" select="substring($Text,$TextBeforeLen+1)"/>
          <xsl:value-of select="$TextBefore"/>
          <xsl:if test="($Len - $TextBeforeLen) >0 and contains($TextAfter, ' ')">
            <xsl:variable name="sResultAfter">
              <xsl:call-template name="SplitTextBySpaceSp">
                <xsl:with-param name="Text" select="$TextAfter"/>
                <xsl:with-param name="Len" select="$Len - $TextBeforeLen"/>
              </xsl:call-template>
            </xsl:variable>
            <xsl:value-of select="$sResultAfter"/>
          </xsl:if>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
<!--загрузка из xml таможенного формата-->
<xsl:template name="GoodsDescr250">
		<xsl:param name="DesGoods"/>
		<xsl:param name="NodeName"/>
		<xsl:param name="Namsp"/> 
		<xsl:param name="LenDes"/>
		<xsl:variable name="DesGr">
			<xsl:call-template name="SplitTextBySpaceSp">
				<xsl:with-param name="Text" select="$DesGoods"/>
				<xsl:with-param name="Len"  select="$LenDes"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:element name="{$NodeName}"  namespace="{$Namsp}">
			<xsl:value-of select="normalize-space($DesGr)"/>
		</xsl:element>
		<xsl:variable name="DesGr1" select="substring($DesGoods,string-length($DesGr)+1)"/>
		<xsl:if test="string-length($DesGr1)>0">
			<xsl:call-template name="GoodsDescr250">
				<xsl:with-param name="DesGoods" select="$DesGr1"/>
				<xsl:with-param name="NodeName" select="$NodeName"/>
				<xsl:with-param name="Namsp" select="$Namsp"/> 
				<xsl:with-param name="LenDes" select="$LenDes"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<xsl:key use="concat(./G441,./G442)" name="DocG" match="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='03012']"/>	
	<xsl:template match="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='03012']">
		<xsl:variable name="NumInv" select="G442"/>
		<xsl:variable name="DatInv" select="substring(G443,1,10)"/>
		<xsl:call-template name="SupContract">
			<xsl:with-param name="NumInv" select="$NumInv"/>
			<xsl:with-param name="NamInv" select="G444"/>
			<xsl:with-param name="DatInv" select="$DatInv"/>						
		</xsl:call-template>
	</xsl:template>
	
	<xsl:key use="concat(./G441,./G442)" name="DocGoods" match="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='04021']"/>	
	<xsl:template match="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and G441='04021']">
		<xsl:param name="ContNum"/>
		<xsl:param name="ContDat"/>
		<xsl:variable name="NumInv" select="G442"/>
		<xsl:variable name="DatInv" select="substring(G443,1,10)"/>
		<xsl:choose>
			<xsl:when  test="string-length(concat($ContNum,$ContDat))>0">
				<xsl:if test="count(../DCL_LOAD_DOC_ITEM[concat(G441,G442,substring(G443,1,10))=concat('03012',$ContNum,substring($ContDat,1,10))])>0">
					<ContractSpecification  xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonLeafTypesCust:5.8.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
						<IssueDate><xsl:value-of select="$DatInv"/></IssueDate>
						<ID><xsl:value-of select="$NumInv"/></ID>
						<xsl:for-each select="//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[concat(G441,G442,substring(G443,1,10))=concat('04021',$NumInv,substring($DatInv,1,10))] and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[concat(G441,G442,substring(G443,1,10))=concat('03012',$ContNum,substring($ContDat,1,10))])>0]">
							<xsl:call-template name="GoodsSpecific"/>
						</xsl:for-each>				
					</ContractSpecification>	
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when  test="count(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[concat(G441,G442,substring(G443,1,10))=concat('04021',$NumInv,substring($DatInv,1,10))] and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='03012'])=0])>0">
						<ContractSpecification  xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonLeafTypesCust:5.8.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
							<IssueDate><xsl:value-of select="$DatInv"/></IssueDate>
							<ID><xsl:value-of select="$NumInv"/></ID>
							<xsl:for-each select="//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[concat(G441,G442,substring(G443,1,10))=concat('04021',$NumInv,substring($DatInv,1,10))] and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='03012'])=0]">
								<xsl:call-template name="GoodsSpecific"/>
							</xsl:for-each>
						</ContractSpecification>	
					</xsl:when>
					<xsl:when test="count(//DCL_LOAD/DCL_LOAD_ITEM[(count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021'])=0 and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='03012'])=0) or  count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM)=0])>0">
						<ContractSpecification  xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonLeafTypesCust:5.8.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
							<xsl:for-each select="//DCL_LOAD/DCL_LOAD_ITEM[(count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021'])=0 and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='03012'])=0) or  count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM)=0]">
								<xsl:call-template name="GoodsSpecific"/>
							</xsl:for-each>				
						</ContractSpecification>	
					</xsl:when>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="//DCL_ITEM">
		<ED_Container xmlns ="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1006058E">
			<cat_ru:DocumentID xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0">00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<xsl:if test="count(//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='03012'][generate-id(.)=generate-id(key('DocG',concat(./G441,./G442)))])>0">
				<xsl:apply-templates select="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and string-length(G441)>0 and G441='03012'][generate-id(.)=generate-id(key('DocG',concat(./G441,./G442)))]"/>
			</xsl:if>
			<xsl:if test="count(//DCL_LOAD/DCL_LOAD_ITEM[count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='03012'])=0])>0">
				<xsl:call-template name="SupContract"/>
			</xsl:if>	
		</ED_Container>
	</xsl:template>
	
	<xsl:template name="Goods">
		<xsl:param name="ContNum"/>
		<xsl:param name="ContDat"/>
		<xsl:choose>
			<xsl:when  test="string-length(concat($ContNum,$ContDat))>0">
				<!--<xsl:apply-templates select="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and G441='04021'][generate-id(.)=generate-id(key('DocGoods',concat(./G441,./G442)))]">
					<xsl:with-param name="ContNum" select="$ContNum"/>
					<xsl:with-param name="ContDat" select="$ContDat"/>
				</xsl:apply-templates>-->
				<xsl:if  test="count(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[concat(G441,G442,substring(G443,1,10))=concat('03012',$ContNum,substring($ContDat,1,10))]])>0"><!-- and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021'])=0-->
					<ContractSpecification  xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonLeafTypesCust:5.8.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
						<IssueDate><xsl:value-of select="$ContDat"/></IssueDate>
						<ID><xsl:value-of select="$ContNum"/></ID>
						<xsl:for-each select="//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[concat(G441,G442,substring(G443,1,10))=concat('03012',$ContNum,substring($ContDat,1,10))]]"><!-- and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021'])=0-->
							<xsl:call-template name="GoodsSpecific"/>
						</xsl:for-each>				
					</ContractSpecification>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<!--<xsl:if  test="count(//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and G441='04021'][generate-id(.)=generate-id(key('DocGoods',concat(./G441,./G442)))])>0">
					<xsl:apply-templates select="//DCL_LOAD_DOC_ITEM[string-length(G442)>0 and G441='04021'][generate-id(.)=generate-id(key('DocGoods',concat(./G441,./G442)))]"/>
				</xsl:if>
				<xsl:if test="count(//DCL_LOAD/DCL_LOAD_ITEM[count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021'])=0 and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='03012'])=0  and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM)=0])>0">
					<ContractSpecification  xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonLeafTypesCust:5.10.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
						<xsl:for-each select="//DCL_LOAD/DCL_LOAD_ITEM[count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='04021'])=0 and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='03012'])=0  and count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM)=0]">
							<xsl:call-template name="GoodsSpecific"/>
						</xsl:for-each>				
					</ContractSpecification>
				</xsl:if>-->
				<ContractSpecification  xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonLeafTypesCust:5.8.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
					<IssueDate><xsl:value-of select="$ContDat"/></IssueDate>
					<ID><xsl:value-of select="$ContNum"/></ID>
					<xsl:for-each select="//DCL_LOAD/DCL_LOAD_ITEM[count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='03012'])=0  or count(DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM)=0]">
						<xsl:call-template name="GoodsSpecific"/>
					</xsl:for-each>				
				</ContractSpecification>
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
	<xsl:template name="GoodsSpecific">
		<AddSpecificationGoods   xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonLeafTypesCust:5.8.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0">
			<GoodNumber><xsl:value-of select="G32"/></GoodNumber>
			<GoodMarking><xsl:value-of select="G31_15"/></GoodMarking>
			<xsl:call-template name="GoodsDescr250">
				<xsl:with-param name="DesGoods" select="G31_1"/>
				<xsl:with-param name="NodeName" select="'GoodsDescription'"/>
				<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0'"/>
				<xsl:with-param name="LenDes" select="250"/>
			</xsl:call-template>
			<xsl:choose>
				<xsl:when test="string-length(G31_7)>0">
					<GoodsQuantity><xsl:value-of select="G31_7"/></GoodsQuantity>
				</xsl:when>
				<xsl:when test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/QUANTITY)>0">
					<GoodsQuantity><xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/QUANTITY"/></GoodsQuantity>
				</xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="string-length(G41A)>0">
					<MeasureUnitQualifierCode><xsl:value-of select="G41A"/></MeasureUnitQualifierCode>
				</xsl:when>
				<xsl:when test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/UNIT_CODE)>0">
					<MeasureUnitQualifierCode><xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/UNIT_CODE"/></MeasureUnitQualifierCode>
				</xsl:when>	
			</xsl:choose>	
			
			<xsl:choose>
				<xsl:when test="string-length(G31_71)>0">
					<MeasureUnitQualifierName><xsl:value-of select="G31_71"/></MeasureUnitQualifierName>
				</xsl:when>
				<xsl:when test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/UNIT_NAME)>0">
					<MeasureUnitQualifierName><xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/UNIT_NAME"/></MeasureUnitQualifierName>
				</xsl:when>	
			</xsl:choose>	
			<xsl:if test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/PRICE)>0">
				<Price><xsl:value-of select="format-number(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/PRICE,'0.0000')"/></Price>
			</xsl:if>
			<xsl:if test="string-length(G42)>0">
				<GCost><xsl:value-of select="G42"/></GCost>
			</xsl:if>
			<xsl:if test="string-length(G33)>0">
				<GoodsTNVEDCode><xsl:value-of select="G33"/></GoodsTNVEDCode>
			</xsl:if>
			<xsl:if test="string-length(../../G221)>0">
				<CurrencyCode><xsl:value-of select="../../G221"/></CurrencyCode>
			</xsl:if>
			<xsl:if test="string-length(G35)>0 or string-length(G38)>0">
				<GoodsWeight>
					<xsl:if test="string-length(G35)>0">
						<catComFin_ru:GrossWeightQuantity><xsl:value-of select="format-number(G35,'0.000000')"/></catComFin_ru:GrossWeightQuantity>
					</xsl:if>
					<xsl:if test="string-length(G38)>0">
						<catComFin_ru:NetWeightQuantity><xsl:value-of select="format-number(G38,'0.000000')"/></catComFin_ru:NetWeightQuantity>
					</xsl:if>
				</GoodsWeight>
			</xsl:if>	
			<xsl:if test="string-length(G3111)>0 or string-length(G3112)>0 or string-length(G31_14)>0  or string-length(G31_14_2)>0 or string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G31_16)>0">
				<AdditionalGoodsDescription>
					<xsl:if test="string-length(G3111)>0">
						<catComFin_ru:Manufacturer><xsl:value-of select="G3111"/></catComFin_ru:Manufacturer>
					</xsl:if>
					<xsl:if test="string-length(G3112)>0">
						<catComFin_ru:TradeMark><xsl:value-of select="G3112"/></catComFin_ru:TradeMark>
					</xsl:if>
					<xsl:if test="string-length(G31_14)>0">
						<catComFin_ru:GoodsMark><xsl:value-of select="G31_14"/></catComFin_ru:GoodsMark>
					</xsl:if>
					<xsl:if test="string-length(G31_14_2)>0">
						<catComFin_ru:GoodsModel><xsl:value-of select="G31_14_2"/></catComFin_ru:GoodsModel>
					</xsl:if>
					<xsl:if test="string-length(DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G31_16)>0">
						<catComFin_ru:GoodsStandart><xsl:value-of select="DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G31_16"/></catComFin_ru:GoodsStandart>
					</xsl:if>
				</AdditionalGoodsDescription>
			</xsl:if>	
		</AddSpecificationGoods>
    </xsl:template>
    
	<xsl:template name="SupContract">
		<xsl:param name="NumInv"/>
		<xsl:param name="DatInv"/>
		<xsl:param name="NamInv"/>
			<ContainerDoc  xmlns="urn:customs.ru:Information:ExchangeDocuments:ED_Container:5.10.0">
				<DocBody>
					<SupplementaryContract xmlns="urn:customs.ru:Information:CommercialFinanceDocuments:SupplementaryContract:5.10.0" xmlns:catComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.10.0" xmlns:cltComFin_ru="urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonLeafTypesCust:5.8.0" xmlns:clt_ru="urn:customs.ru:CommonLeafTypes:5.10.0"   xmlns:ctmtd="http://rail.ctm.ru/TD/Document"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" DocumentModeID="1002014E">
						<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
						<DocumentNumber><xsl:value-of select="$NumInv"/></DocumentNumber>
						<xsl:if test="string-length($DatInv)>0">
							<IssueDate><xsl:value-of select="$DatInv"/></IssueDate>
						</xsl:if>	
						<!--<xsl:if test="../DCL_LOAD_DOC_ITEM[G441='03012' and string-length(G442)>0]">
							<ContractRegistration>
								<cat_ru:PrDocumentName><xsl:value-of select="../DCL_LOAD_DOC_ITEM[G441='03012' and string-length(G444)>0]/G444"/></cat_ru:PrDocumentName>
								<cat_ru:PrDocumentNumber><xsl:value-of select="../DCL_LOAD_DOC_ITEM[G441='03012' and string-length(G442)>0]/G442"/></cat_ru:PrDocumentNumber>
								<xsl:if test="string-length(../DCL_LOAD_DOC_ITEM[G441='03012' and string-length(G443)>0]/G443)>0">
									<cat_ru:PrDocumentDate><xsl:value-of select="substring(../DCL_LOAD_DOC_ITEM[G441='03012' and string-length(G443)>0]/G443,1,10)"/></cat_ru:PrDocumentDate>
								</xsl:if>
							</ContractRegistration>
						</xsl:if>-->
						<xsl:if test="string-length($NumInv)>0">
							<ContractRegistration>
								<cat_ru:PrDocumentName><xsl:value-of select="$NamInv"/></cat_ru:PrDocumentName>
								<cat_ru:PrDocumentNumber><xsl:value-of select="$NumInv"/></cat_ru:PrDocumentNumber>
								<xsl:if test="string-length($DatInv)>0">
									<cat_ru:PrDocumentDate><xsl:value-of select="substring($DatInv,1,10)"/></cat_ru:PrDocumentDate>
								</xsl:if>
							</ContractRegistration>
						</xsl:if>
						<SupContractDeliveryTerms>
							<xsl:if test="string-length(G2021|../../../../G2021)>0">
								<xsl:call-template name="GoodsDescr250">
									<xsl:with-param name="DesGoods" select="G2021|../../../../G2021"/>
									<xsl:with-param name="NodeName" select="'catComFin_ru:DeliveryPlace'"/>
									<xsl:with-param name="Namsp" select="'urn:customs.ru:Information:CommercialFinanceDocuments:CommercialFinanceCommonAgregateTypesCust:5.10.0'"/>
									<xsl:with-param name="LenDes" select="40"/>
								</xsl:call-template>
							</xsl:if>
							<catComFin_ru:DeliveryTermsStringCode><xsl:value-of select="G202|../../../../G202"/></catComFin_ru:DeliveryTermsStringCode>
						</SupContractDeliveryTerms>
						<xsl:choose>
							<xsl:when test="string-length(concat($NumInv,$DatInv))>0 and count(//DCL_LOAD/DCL_LOAD_ITEM[DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM[G441='03012' and G442=$NumInv and substring(G443,1,10)=$DatInv]])>0">
								<xsl:call-template name="Goods">
									<xsl:with-param name="ContNum" select="$NumInv"/>
									<xsl:with-param name="ContDat" select="$DatInv"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="Goods"/>
							</xsl:otherwise>
						</xsl:choose>
						<ContractSignedPerson>
							<cat_ru:PersonSurname/>
							<cat_ru:PersonName/>
						</ContractSignedPerson>
					</SupplementaryContract>
				</DocBody>
			</ContainerDoc>
	</xsl:template>		
</xsl:stylesheet>
